
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction2 = properFractionFormat0.parse("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.FractionFormat fractionFormat1 = org.apache.commons.math.fraction.FractionFormat.getImproperInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction3 = properFractionFormat0.parse("", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction4 = properFractionFormat0.parse("", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = properFractionFormat0.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!");
    java.lang.StringBuffer stringBuffer3 = null;
    java.text.FieldPosition fieldPosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = properFractionFormat0.format((java.lang.Object)mathException2, stringBuffer3, fieldPosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable5);
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fractionFormat4.format((java.lang.Object)mathException6, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = numberFormat3.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction3 = properFractionFormat0.parse("", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = properFractionFormat0.format((java.lang.Object)"hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.FractionFormat fractionFormat1 = org.apache.commons.math.fraction.FractionFormat.getProperInstance(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction9 = properFractionFormat0.parse("hi!", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction2 = properFractionFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = properFractionFormat0.parseObject("org.apache.commons.math.MathException: hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.math.fraction.Fraction fraction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getProperInstance();
    org.apache.commons.math.fraction.Fraction fraction1 = null;
    java.lang.StringBuffer stringBuffer2 = null;
    java.text.FieldPosition fieldPosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fractionFormat0.format(fraction1, stringBuffer2, fieldPosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.Fraction fraction11 = null;
    java.lang.StringBuffer stringBuffer12 = null;
    java.text.FieldPosition fieldPosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer14 = properFractionFormat0.format(fraction11, stringBuffer12, fieldPosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getImproperInstance();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj2 = fractionFormat0.parseObject("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = numberFormat4.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.ParsePosition parsePosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction13 = properFractionFormat0.parse("org.apache.commons.math.MathException: hi!", parsePosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction3 = properFractionFormat0.parse("org.apache.commons.math.MathException: hi!", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getImproperInstance();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj2 = fractionFormat0.parseObject("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = fractionFormat3.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator12 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction4 = properFractionFormat0.parse("hi!", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction16 = properFractionFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = fractionFormat3.parseObject("", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = new org.apache.commons.math.fraction.FractionFormat();

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.Fraction fraction12 = null;
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = properFractionFormat11.format(fraction12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.lang.StringBuffer stringBuffer28 = null;
    java.text.FieldPosition fieldPosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer30 = properFractionFormat26.format((java.lang.Object)10.0d, stringBuffer28, fieldPosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = properFractionFormat7.parse("10", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.lang.Object obj7 = fractionFormat4.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    properFractionFormat8.setWholeFormat(numberFormat13);
    java.lang.Object obj19 = properFractionFormat8.clone();
    java.text.NumberFormat numberFormat20 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat8.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator23 = fractionFormat4.formatToCharacterIterator((java.lang.Object)properFractionFormat8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction16 = properFractionFormat0.parse("10", parsePosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = properFractionFormat27.parse("org.apache.commons.math.MathException: hi!", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction14 = null;
    java.lang.StringBuffer stringBuffer15 = null;
    java.text.FieldPosition fieldPosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer17 = properFractionFormat0.format(fraction14, stringBuffer15, fieldPosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator16 = properFractionFormat13.formatToCharacterIterator((java.lang.Object)numberFormat15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.text.NumberFormat numberFormat0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.FractionFormat fractionFormat1 = new org.apache.commons.math.fraction.FractionFormat(numberFormat0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("");
    java.lang.StringBuffer stringBuffer42 = null;
    java.text.FieldPosition fieldPosition43 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer44 = fractionFormat38.format((java.lang.Object)convergenceException41, stringBuffer42, fieldPosition43);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction7 = fractionFormat3.parse("hi!", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.Fraction fraction5 = null;
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fractionFormat3.format(fraction5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    org.apache.commons.math.fraction.Fraction fraction30 = null;
    java.lang.StringBuffer stringBuffer31 = null;
    java.text.FieldPosition fieldPosition32 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer33 = properFractionFormat29.format(fraction30, stringBuffer31, fieldPosition32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat12.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str16 = numberFormat5.format((java.lang.Object)fractionFormat15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction16 = null;
    java.lang.StringBuffer stringBuffer17 = null;
    java.text.FieldPosition fieldPosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer19 = properFractionFormat0.format(fraction16, stringBuffer17, fieldPosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction12 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    fractionFormat14.setDenominatorFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat20);
    properFractionFormat0.setWholeFormat(numberFormat20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction29 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.Fraction fraction12 = null;
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = properFractionFormat0.format(fraction12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction9 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getDenominatorFormat();
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fractionFormat7.parseObject("10", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!");
    java.lang.StringBuffer stringBuffer21 = null;
    java.text.FieldPosition fieldPosition22 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer23 = properFractionFormat0.format((java.lang.Object)"hi!", stringBuffer21, fieldPosition22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    java.lang.Object obj26 = numberFormat19.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj26);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat50.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55, numberFormat57);
    properFractionFormat53.setNumeratorFormat(numberFormat55);
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat49, numberFormat52, numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat47, numberFormat49);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction64 = properFractionFormat62.parse("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = properFractionFormat8.parseObject("", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = properFractionFormat7.parse("", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat13, numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    properFractionFormat23.setWholeFormat(numberFormat28);
    properFractionFormat22.setWholeFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    java.text.NumberFormat numberFormat44 = fractionFormat43.getNumeratorFormat();
    properFractionFormat35.setDenominatorFormat(numberFormat44);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator46 = numberFormat8.formatToCharacterIterator((java.lang.Object)properFractionFormat35);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    java.text.NumberFormat numberFormat19 = fractionFormat3.getNumeratorFormat();
    java.lang.Object obj20 = numberFormat19.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj20);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.Fraction fraction38 = null;
    java.lang.StringBuffer stringBuffer39 = null;
    java.text.FieldPosition fieldPosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer41 = properFractionFormat13.format(fraction38, stringBuffer39, fieldPosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction16 = fractionFormat14.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException");

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException3.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction9 = null;
    java.lang.StringBuffer stringBuffer10 = null;
    java.text.FieldPosition fieldPosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer12 = fractionFormat7.format(fraction9, stringBuffer10, fieldPosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj19 = numberFormat16.parseObject("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);
    java.lang.String str5 = convergenceException4.toString();
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7);
    convergenceException4.addSuppressed((java.lang.Throwable)mathException7);
    java.lang.Throwable throwable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException7.addSuppressed(throwable10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str5.equals("org.apache.commons.math.ConvergenceException"));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.Fraction fraction39 = null;
    java.lang.StringBuffer stringBuffer40 = null;
    java.text.FieldPosition fieldPosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer42 = properFractionFormat7.format(fraction39, stringBuffer40, fieldPosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.Fraction fraction40 = null;
    java.lang.StringBuffer stringBuffer41 = null;
    java.text.FieldPosition fieldPosition42 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer43 = fractionFormat11.format(fraction40, stringBuffer41, fieldPosition42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat13);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = fractionFormat14.parseObject("", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    java.text.ParsePosition parsePosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction42 = fractionFormat38.parse("10", parsePosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction39 = properFractionFormat13.parse("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat13, numberFormat16);
    java.text.NumberFormat numberFormat23 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat23);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str25 = numberFormat8.format((java.lang.Object)numberFormat23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    properFractionFormat4.setWholeFormat(numberFormat19);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator21 = fractionFormat3.formatToCharacterIterator((java.lang.Object)numberFormat19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    java.text.ParsePosition parsePosition20 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj21 = properFractionFormat0.parseObject("", parsePosition20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("10");

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    java.text.ParsePosition parsePosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj12 = properFractionFormat0.parseObject("", parsePosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = properFractionFormat8.parse("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat16.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    properFractionFormat16.setWholeFormat(numberFormat21);
    java.lang.Object obj27 = properFractionFormat16.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    java.text.NumberFormat numberFormat46 = fractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    fractionFormat45.setNumeratorFormat(numberFormat48);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat52.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat59);
    properFractionFormat55.setNumeratorFormat(numberFormat57);
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat51, numberFormat54, numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat66, numberFormat68);
    properFractionFormat64.setNumeratorFormat(numberFormat66);
    properFractionFormat63.setWholeFormat(numberFormat66);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat48, numberFormat66);
    properFractionFormat16.setDenominatorFormat(numberFormat66);
    java.lang.StringBuffer stringBuffer74 = null;
    java.text.FieldPosition fieldPosition75 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer76 = fractionFormat15.format((java.lang.Object)numberFormat66, stringBuffer74, fieldPosition75);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj31 = numberFormat3.parseObject("org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.Fraction fraction17 = null;
    java.lang.StringBuffer stringBuffer18 = null;
    java.text.FieldPosition fieldPosition19 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer20 = properFractionFormat16.format(fraction17, stringBuffer18, fieldPosition19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    java.lang.Throwable[] throwable_array4 = convergenceException2.getSuppressed();
    java.lang.Throwable[] throwable_array5 = convergenceException2.getSuppressed();
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException2.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj16 = numberFormat13.parseObject("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction74 = properFractionFormat72.parse("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.ParsePosition parsePosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj13 = properFractionFormat0.parseObject("org.apache.commons.math.MathException: hi!", parsePosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: hi!", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    properFractionFormat0.setWholeFormat(numberFormat4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = properFractionFormat0.format((java.lang.Object)'4');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException1.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.Fraction fraction6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fractionFormat4.format(fraction6, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException3);
    java.lang.String str6 = convergenceException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str6.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj20 = numberFormat13.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    java.text.ParsePosition parsePosition27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction28 = properFractionFormat0.parse("", parsePosition27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator11 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)mathException10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat7 = fractionFormat4.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj9 = numberFormat7.parseObject("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = numberFormat2.format((java.lang.Object)"10");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    java.lang.Throwable[] throwable_array2 = convergenceException0.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str1.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException2);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!");
    java.lang.String str3 = mathException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)mathException2);
    java.lang.String str5 = mathException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str3.equals("org.apache.commons.math.MathException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!"+ "'", str5.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction9 = properFractionFormat0.parse("10", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction10 = null;
    java.lang.StringBuffer stringBuffer11 = null;
    java.text.FieldPosition fieldPosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = properFractionFormat7.format(fraction10, stringBuffer11, fieldPosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    java.lang.Object obj12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator13 = fractionFormat11.formatToCharacterIterator(obj12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.text.ParsePosition parsePosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction41 = fractionFormat38.parse("org.apache.commons.math.ConvergenceException", parsePosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getWholeFormat();
    java.text.ParsePosition parsePosition75 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction76 = properFractionFormat72.parse("org.apache.commons.math.ConvergenceException: ", parsePosition75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    fractionFormat8.setDenominatorFormat(numberFormat10);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator12 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)fractionFormat8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    java.text.NumberFormat numberFormat19 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat20.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat25, numberFormat28, numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat38.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat45);
    properFractionFormat41.setNumeratorFormat(numberFormat43);
    properFractionFormat38.setWholeFormat(numberFormat43);
    properFractionFormat37.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    fractionFormat57.setDenominatorFormat(numberFormat59);
    properFractionFormat37.setWholeFormat(numberFormat59);
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat59);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65, numberFormat67);
    properFractionFormat63.setNumeratorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    java.text.NumberFormat numberFormat71 = fractionFormat70.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat74.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat79 = properFractionFormat78.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat82 = new org.apache.commons.math.fraction.FractionFormat(numberFormat79, numberFormat81);
    properFractionFormat77.setNumeratorFormat(numberFormat79);
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat79);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat73, numberFormat76, numberFormat79);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat59, numberFormat71, numberFormat73);
    fractionFormat23.setDenominatorFormat(numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getNumeratorFormat();
    java.text.NumberFormat numberFormat90 = properFractionFormat88.getWholeFormat();
    fractionFormat23.setNumeratorFormat(numberFormat90);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str92 = fractionFormat3.format((java.lang.Object)fractionFormat23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat90);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    java.text.ParsePosition parsePosition39 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction40 = properFractionFormat13.parse("org.apache.commons.math.MathException: hi!", parsePosition39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    java.text.NumberFormat numberFormat81 = fractionFormat80.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat82 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat81);
    java.lang.Object obj83 = numberFormat81.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj85 = numberFormat81.parseObject("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj83);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat13);
    org.apache.commons.math.fraction.Fraction fraction20 = null;
    java.lang.StringBuffer stringBuffer21 = null;
    java.text.FieldPosition fieldPosition22 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer23 = fractionFormat19.format(fraction20, stringBuffer21, fieldPosition22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat6, numberFormat9, numberFormat12);
    java.text.NumberFormat numberFormat19 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat19);
    java.text.NumberFormat numberFormat21 = fractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = numberFormat1.format((java.lang.Object)properFractionFormat22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    java.lang.Object obj39 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator40 = properFractionFormat7.formatToCharacterIterator(obj39);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("10 / 1", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat0.parse("", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3);
    java.lang.Throwable[] throwable_array5 = convergenceException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat60.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65, numberFormat67);
    properFractionFormat63.setNumeratorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat59, numberFormat62, numberFormat65);
    java.text.NumberFormat numberFormat72 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat62, numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat62);
    org.apache.commons.math.fraction.Fraction fraction76 = properFractionFormat74.parse("10");
    java.lang.StringBuffer stringBuffer77 = null;
    java.text.FieldPosition fieldPosition78 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer79 = properFractionFormat0.format(fraction76, stringBuffer77, fieldPosition78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.lang.Object obj15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator16 = properFractionFormat0.formatToCharacterIterator(obj15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat6, numberFormat9);
    java.text.NumberFormat numberFormat16 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat6, numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat6);
    org.apache.commons.math.fraction.Fraction fraction20 = properFractionFormat18.parse("10");
    java.lang.String str21 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction20);
    java.lang.StringBuffer stringBuffer22 = null;
    java.text.FieldPosition fieldPosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer24 = properFractionFormat0.format(fraction20, stringBuffer22, fieldPosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "10 / 1"+ "'", str21.equals("10 / 1"));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    java.lang.String str4 = mathException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str4.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: ", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = properFractionFormat14.parseObject("org.apache.commons.math.ConvergenceException: ", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    java.text.ParsePosition parsePosition27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction28 = properFractionFormat0.parse("", parsePosition27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj19 = properFractionFormat17.parseObject("org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat40.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat47);
    properFractionFormat43.setNumeratorFormat(numberFormat45);
    properFractionFormat40.setWholeFormat(numberFormat45);
    java.lang.Object obj51 = properFractionFormat40.clone();
    java.text.NumberFormat numberFormat52 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator57 = numberFormat55.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat40.setDenominatorFormat(numberFormat55);
    java.lang.StringBuffer stringBuffer59 = null;
    java.text.FieldPosition fieldPosition60 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer61 = fractionFormat11.format((java.lang.Object)numberFormat55, stringBuffer59, fieldPosition60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator57);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat17 = fractionFormat16.getNumeratorFormat();
    java.lang.String str19 = numberFormat17.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator20 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj24 = fractionFormat22.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "10"+ "'", str19.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.String str3 = mathException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MathException"+ "'", str3.equals("org.apache.commons.math.MathException"));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    fractionFormat16.setDenominatorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat22);
    properFractionFormat2.setWholeFormat(numberFormat22);
    properFractionFormat0.setWholeFormat(numberFormat22);
    java.text.ParsePosition parsePosition32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction33 = properFractionFormat0.parse("", parsePosition32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12, numberFormat15, numberFormat18);
    java.text.NumberFormat numberFormat25 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15);
    org.apache.commons.math.fraction.Fraction fraction29 = properFractionFormat27.parse("10");
    java.lang.String str30 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction29);
    java.lang.StringBuffer stringBuffer31 = null;
    java.text.FieldPosition fieldPosition32 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer33 = properFractionFormat8.format(fraction29, stringBuffer31, fieldPosition32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "10 / 1"+ "'", str30.equals("10 / 1"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.ParsePosition parsePosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction13 = properFractionFormat0.parse("org.apache.commons.math.MathException: ", parsePosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction6 = fractionFormat4.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    java.lang.String str20 = convergenceException18.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator21 = properFractionFormat16.formatToCharacterIterator((java.lang.Object)convergenceException18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str20.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    java.text.ParsePosition parsePosition52 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction53 = properFractionFormat50.parse("hi!", parsePosition52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    java.text.NumberFormat numberFormat32 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat0.setNumeratorFormat(numberFormat32);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat76.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81, numberFormat83);
    properFractionFormat79.setNumeratorFormat(numberFormat81);
    org.apache.commons.math.fraction.FractionFormat fractionFormat86 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat87 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat75, numberFormat78, numberFormat81);
    java.text.NumberFormat numberFormat88 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat89 = new org.apache.commons.math.fraction.FractionFormat(numberFormat78, numberFormat88);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat90 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat78);
    org.apache.commons.math.fraction.Fraction fraction92 = properFractionFormat90.parse("10");
    java.lang.String str93 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction92);
    java.lang.String str94 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction92);
    java.lang.StringBuffer stringBuffer95 = null;
    java.text.FieldPosition fieldPosition96 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer97 = properFractionFormat72.format(fraction92, stringBuffer95, fieldPosition96);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "10 / 1"+ "'", str93.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str94 + "' != '" + "10 / 1"+ "'", str94.equals("10 / 1"));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction17 = fractionFormat15.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction7 = fractionFormat3.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat6, numberFormat9, numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    properFractionFormat18.setWholeFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat33.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat46.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51, numberFormat53);
    properFractionFormat49.setNumeratorFormat(numberFormat51);
    properFractionFormat46.setWholeFormat(numberFormat51);
    java.lang.Object obj57 = properFractionFormat46.clone();
    java.text.NumberFormat numberFormat58 = properFractionFormat46.getNumeratorFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat46.getNumeratorFormat();
    fractionFormat45.setNumeratorFormat(numberFormat59);
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat59);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat36, numberFormat40, numberFormat59);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat40);
    fractionFormat3.setDenominatorFormat(numberFormat40);
    java.text.ParsePosition parsePosition66 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj67 = fractionFormat3.parseObject("hi!", parsePosition66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    java.text.ParsePosition parsePosition52 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj53 = properFractionFormat50.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = numberFormat9.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat45);
    java.text.ParsePosition parsePosition48 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction49 = properFractionFormat46.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", parsePosition48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    java.text.NumberFormat numberFormat37 = fractionFormat33.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat39.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat55, numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat65.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67);
    java.text.NumberFormat numberFormat69 = fractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    fractionFormat68.setNumeratorFormat(numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat73.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat75.getNumeratorFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat75.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat80 = properFractionFormat79.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat82 = properFractionFormat81.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat80, numberFormat82);
    properFractionFormat78.setNumeratorFormat(numberFormat80);
    org.apache.commons.math.fraction.FractionFormat fractionFormat85 = new org.apache.commons.math.fraction.FractionFormat(numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat74, numberFormat77, numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat87 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat90 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat91 = properFractionFormat90.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat92 = new org.apache.commons.math.fraction.FractionFormat(numberFormat89, numberFormat91);
    properFractionFormat87.setNumeratorFormat(numberFormat89);
    properFractionFormat86.setWholeFormat(numberFormat89);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat95 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat71, numberFormat89);
    java.text.NumberFormat numberFormat96 = properFractionFormat95.getWholeFormat();
    properFractionFormat50.setDenominatorFormat(numberFormat96);
    properFractionFormat0.setNumeratorFormat(numberFormat96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat96);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    fractionFormat9.setDenominatorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat16.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat18, numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    properFractionFormat27.setWholeFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33);
    fractionFormat13.setNumeratorFormat(numberFormat33);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    properFractionFormat0.setDenominatorFormat(numberFormat33);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj45 = numberFormat33.parseObject("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.lang.Object obj45 = null;
    java.lang.StringBuffer stringBuffer46 = null;
    java.text.FieldPosition fieldPosition47 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer48 = properFractionFormat44.format(obj45, stringBuffer46, fieldPosition47);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj47 = properFractionFormat44.parseObject("org.apache.commons.math.MathException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat3.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat10);
    properFractionFormat6.setNumeratorFormat(numberFormat8);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat5, numberFormat8);
    java.text.NumberFormat numberFormat15 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.Fraction fraction19 = properFractionFormat17.parse("10");
    java.lang.StringBuffer stringBuffer20 = null;
    java.text.FieldPosition fieldPosition21 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer22 = properFractionFormat0.format(fraction19, stringBuffer20, fieldPosition21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat17.setNumeratorFormat(numberFormat18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21, numberFormat24, numberFormat27);
    java.text.NumberFormat numberFormat34 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat24);
    org.apache.commons.math.fraction.Fraction fraction38 = properFractionFormat36.parse("10");
    java.lang.StringBuffer stringBuffer39 = null;
    java.text.FieldPosition fieldPosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer41 = fractionFormat19.format(fraction38, stringBuffer39, fieldPosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.String str5 = convergenceException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str5.equals("org.apache.commons.math.ConvergenceException"));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    java.text.ParsePosition parsePosition27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction28 = properFractionFormat0.parse("org.apache.commons.math.MathException: ", parsePosition27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException7);
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable9);
    mathException8.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException8);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator13 = numberFormat4.formatToCharacterIterator((java.lang.Object)mathException8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    java.text.ParsePosition parsePosition20 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj21 = fractionFormat3.parseObject("", parsePosition20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    java.text.NumberFormat numberFormat10 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str20 = numberFormat9.format((java.lang.Object)fractionFormat19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    properFractionFormat9.setWholeFormat(numberFormat14);
    java.lang.Object obj20 = properFractionFormat9.clone();
    java.text.NumberFormat numberFormat21 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat9.getDenominatorFormat();
    properFractionFormat7.setWholeFormat(numberFormat22);
    java.text.ParsePosition parsePosition25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction26 = properFractionFormat7.parse("", parsePosition25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    properFractionFormat13.setWholeFormat(numberFormat16);
    java.lang.Object obj22 = numberFormat16.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25, numberFormat27);
    properFractionFormat23.setNumeratorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    java.text.NumberFormat numberFormat40 = fractionFormat39.getNumeratorFormat();
    java.lang.String str42 = numberFormat40.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator43 = properFractionFormat31.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat44 = properFractionFormat31.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str45 = numberFormat16.format((java.lang.Object)properFractionFormat31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "10"+ "'", str42.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction14 = properFractionFormat11.parse("hi!", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    java.text.NumberFormat numberFormat81 = fractionFormat80.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat82 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat81);
    java.lang.Object obj83 = numberFormat81.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat87 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat88 = properFractionFormat87.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat89 = new org.apache.commons.math.fraction.FractionFormat(numberFormat86, numberFormat88);
    properFractionFormat84.setNumeratorFormat(numberFormat86);
    org.apache.commons.math.fraction.FractionFormat fractionFormat91 = new org.apache.commons.math.fraction.FractionFormat(numberFormat86);
    java.text.NumberFormat numberFormat92 = fractionFormat91.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat93 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat94 = properFractionFormat93.getNumeratorFormat();
    java.text.NumberFormat numberFormat95 = properFractionFormat93.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat96 = new org.apache.commons.math.fraction.FractionFormat(numberFormat95);
    java.text.NumberFormat numberFormat97 = fractionFormat96.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat98 = new org.apache.commons.math.fraction.FractionFormat(numberFormat92, numberFormat97);
    org.apache.commons.math.fraction.FractionFormat fractionFormat99 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81, numberFormat92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat97);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction16 = properFractionFormat0.parse("", parsePosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    java.text.ParsePosition parsePosition60 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction61 = properFractionFormat58.parse("org.apache.commons.math.MathException: hi!", parsePosition60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat6.getWholeFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat6.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    fractionFormat18.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat13, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    properFractionFormat36.setWholeFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    properFractionFormat36.setNumeratorFormat(numberFormat49);
    java.text.NumberFormat numberFormat51 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat32, numberFormat51);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("10 / 1");
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator55 = numberFormat5.formatToCharacterIterator((java.lang.Object)convergenceException54);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = properFractionFormat8.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat3.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat10);
    properFractionFormat6.setNumeratorFormat(numberFormat8);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat5, numberFormat8);
    java.text.NumberFormat numberFormat15 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.Fraction fraction19 = properFractionFormat17.parse("10");
    java.lang.String str20 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction19);
    java.lang.String str21 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction19);
    java.lang.String str22 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction19);
    java.lang.StringBuffer stringBuffer23 = null;
    java.text.FieldPosition fieldPosition24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer25 = properFractionFormat0.format(fraction19, stringBuffer23, fieldPosition24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "10 / 1"+ "'", str20.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "10 / 1"+ "'", str21.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "10 / 1"+ "'", str22.equals("10 / 1"));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = fractionFormat14.getNumeratorFormat();
    properFractionFormat8.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat25.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat30, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat38.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat45);
    properFractionFormat41.setNumeratorFormat(numberFormat43);
    properFractionFormat38.setWholeFormat(numberFormat43);
    java.lang.Object obj49 = properFractionFormat38.clone();
    java.text.NumberFormat numberFormat50 = properFractionFormat38.getNumeratorFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat38.getNumeratorFormat();
    fractionFormat37.setNumeratorFormat(numberFormat51);
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat32, numberFormat51);
    properFractionFormat24.setNumeratorFormat(numberFormat32);
    java.text.NumberFormat numberFormat56 = properFractionFormat24.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str57 = numberFormat15.format((java.lang.Object)properFractionFormat24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = properFractionFormat0.parseObject("org.apache.commons.math.MathException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.lang.Object obj27 = properFractionFormat26.clone();
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = properFractionFormat26.parse("org.apache.commons.math.ConvergenceException: ", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj27);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    java.lang.Object obj41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str42 = fractionFormat40.format(obj41);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = properFractionFormat8.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    fractionFormat14.setDenominatorFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat20);
    properFractionFormat0.setWholeFormat(numberFormat20);
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException8);
    java.lang.Throwable[] throwable_array10 = convergenceException8.getSuppressed();
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable12);
    convergenceException8.addSuppressed((java.lang.Throwable)mathException13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("10", (java.lang.Throwable)convergenceException15);
    java.lang.StringBuffer stringBuffer17 = null;
    java.text.FieldPosition fieldPosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer19 = fractionFormat4.format((java.lang.Object)mathException16, stringBuffer17, fieldPosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    java.text.NumberFormat numberFormat14 = fractionFormat13.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat15.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    java.lang.Object obj39 = properFractionFormat28.clone();
    java.text.NumberFormat numberFormat40 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat28.getNumeratorFormat();
    fractionFormat27.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat22, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat45.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat45.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat56.getWholeFormat();
    properFractionFormat45.setNumeratorFormat(numberFormat58);
    java.text.NumberFormat numberFormat60 = properFractionFormat45.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat41, numberFormat60);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator62 = numberFormat8.formatToCharacterIterator((java.lang.Object)properFractionFormat61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat55.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat62);
    properFractionFormat58.setNumeratorFormat(numberFormat60);
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat54, numberFormat57, numberFormat60);
    java.text.NumberFormat numberFormat67 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat67);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57);
    org.apache.commons.math.fraction.Fraction fraction71 = properFractionFormat69.parse("10");
    java.lang.String str72 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction71);
    java.lang.StringBuffer stringBuffer73 = null;
    java.text.FieldPosition fieldPosition74 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer75 = properFractionFormat51.format(fraction71, stringBuffer73, fieldPosition74);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "10 / 1"+ "'", str72.equals("10 / 1"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction8 = fractionFormat4.parse("org.apache.commons.math.ConvergenceException", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable7);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("10", (java.lang.Throwable)convergenceException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat5.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4, numberFormat7, numberFormat10);
    java.text.NumberFormat numberFormat17 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat7);
    org.apache.commons.math.fraction.Fraction fraction21 = properFractionFormat19.parse("10");
    java.lang.String str22 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction21);
    java.lang.String str23 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction21);
    java.lang.String str24 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction21);
    java.lang.StringBuffer stringBuffer25 = null;
    java.text.FieldPosition fieldPosition26 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer27 = properFractionFormat0.format(fraction21, stringBuffer25, fieldPosition26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "10 / 1"+ "'", str22.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "10 / 1"+ "'", str23.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "10 / 1"+ "'", str24.equals("10 / 1"));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("org.apache.commons.math.MathException", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat41, numberFormat44, numberFormat47);
    java.text.NumberFormat numberFormat54 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    org.apache.commons.math.fraction.Fraction fraction58 = properFractionFormat56.parse("10");
    java.lang.String str59 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str60 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str61 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.StringBuffer stringBuffer62 = null;
    java.text.FieldPosition fieldPosition63 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer64 = fractionFormat11.format(fraction58, stringBuffer62, fieldPosition63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10 / 1"+ "'", str59.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "10 / 1"+ "'", str60.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "10 / 1"+ "'", str61.equals("10 / 1"));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat21, numberFormat24);
    java.text.NumberFormat numberFormat31 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21);
    org.apache.commons.math.fraction.Fraction fraction35 = properFractionFormat33.parse("10");
    java.lang.String str36 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.String str37 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.String str38 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.String str39 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.StringBuffer stringBuffer40 = null;
    java.text.FieldPosition fieldPosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer42 = properFractionFormat0.format(fraction35, stringBuffer40, fieldPosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "10 / 1"+ "'", str36.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "10 / 1"+ "'", str37.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "10 / 1"+ "'", str38.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "10 / 1"+ "'", str39.equals("10 / 1"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj30 = properFractionFormat27.parseObject("hi!", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    java.text.ParsePosition parsePosition39 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj40 = properFractionFormat13.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat17 = fractionFormat16.getNumeratorFormat();
    java.lang.String str19 = numberFormat17.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator20 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getWholeFormat();
    java.text.ParsePosition parsePosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction24 = properFractionFormat8.parse("", parsePosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "10"+ "'", str19.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("org.apache.commons.math.MathException: ", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    properFractionFormat15.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction28 = fractionFormat26.parse("org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction20 = properFractionFormat17.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException29);
    java.lang.String str31 = convergenceException30.toString();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException34);
    java.lang.Throwable[] throwable_array36 = convergenceException34.getSuppressed();
    convergenceException30.addSuppressed((java.lang.Throwable)convergenceException34);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException34);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException38);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator40 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)mathException38);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str31.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    java.text.NumberFormat numberFormat39 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat41, numberFormat44, numberFormat47);
    java.text.NumberFormat numberFormat54 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    org.apache.commons.math.fraction.Fraction fraction58 = properFractionFormat56.parse("10");
    java.lang.String str59 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str60 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str61 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str62 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.StringBuffer stringBuffer63 = null;
    java.text.FieldPosition fieldPosition64 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer65 = properFractionFormat7.format(fraction58, stringBuffer63, fieldPosition64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10 / 1"+ "'", str59.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "10 / 1"+ "'", str60.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "10 / 1"+ "'", str61.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "10 / 1"+ "'", str62.equals("10 / 1"));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat20);
    java.text.ParsePosition parsePosition26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction27 = properFractionFormat17.parse("", parsePosition26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat61.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat66, numberFormat68);
    properFractionFormat64.setNumeratorFormat(numberFormat66);
    org.apache.commons.math.fraction.FractionFormat fractionFormat71 = new org.apache.commons.math.fraction.FractionFormat(numberFormat66);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat60, numberFormat63, numberFormat66);
    java.text.NumberFormat numberFormat73 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat73);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat63);
    org.apache.commons.math.fraction.Fraction fraction77 = properFractionFormat75.parse("10");
    java.lang.StringBuffer stringBuffer78 = null;
    java.text.FieldPosition fieldPosition79 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer80 = fractionFormat58.format(fraction77, stringBuffer78, fieldPosition79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat46, numberFormat49, numberFormat52);
    java.text.NumberFormat numberFormat59 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat59);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat49);
    org.apache.commons.math.fraction.Fraction fraction63 = properFractionFormat61.parse("10");
    java.lang.String str64 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction63);
    java.lang.String str65 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction63);
    java.lang.String str66 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction63);
    java.lang.StringBuffer stringBuffer67 = null;
    java.text.FieldPosition fieldPosition68 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer69 = properFractionFormat44.format(fraction63, stringBuffer67, fieldPosition68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "10 / 1"+ "'", str64.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "10 / 1"+ "'", str65.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "10 / 1"+ "'", str66.equals("10 / 1"));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.Fraction fraction33 = properFractionFormat31.parse("10");
    java.lang.StringBuffer stringBuffer34 = null;
    java.text.FieldPosition fieldPosition35 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer36 = properFractionFormat14.format(fraction33, stringBuffer34, fieldPosition35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    fractionFormat22.setDenominatorFormat(numberFormat24);
    java.text.NumberFormat numberFormat26 = fractionFormat22.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator27 = fractionFormat14.formatToCharacterIterator((java.lang.Object)numberFormat26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    java.text.NumberFormat numberFormat42 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat42);
    java.text.NumberFormat numberFormat44 = fractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48, numberFormat50);
    properFractionFormat45.setWholeFormat(numberFormat48);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str53 = numberFormat27.format((java.lang.Object)numberFormat48);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    java.text.ParsePosition parsePosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction13 = properFractionFormat8.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException3);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    java.text.NumberFormat numberFormat37 = fractionFormat33.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat37);
    java.lang.Object obj39 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str40 = properFractionFormat0.format(obj39);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat32.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37, numberFormat39);
    properFractionFormat35.setNumeratorFormat(numberFormat37);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31, numberFormat34, numberFormat37);
    java.text.NumberFormat numberFormat44 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat34);
    org.apache.commons.math.fraction.Fraction fraction48 = properFractionFormat46.parse("10");
    java.lang.String str49 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction48);
    java.lang.String str50 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction48);
    java.lang.StringBuffer stringBuffer51 = null;
    java.text.FieldPosition fieldPosition52 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer53 = properFractionFormat29.format(fraction48, stringBuffer51, fieldPosition52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "10 / 1"+ "'", str49.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "10 / 1"+ "'", str50.equals("10 / 1"));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction61 = properFractionFormat58.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat6.getWholeFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat6.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    fractionFormat18.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat13, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    properFractionFormat36.setWholeFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    properFractionFormat36.setNumeratorFormat(numberFormat49);
    java.text.NumberFormat numberFormat51 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat32, numberFormat51);
    java.text.NumberFormat numberFormat53 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    fractionFormat63.setDenominatorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat72, numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat82.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat87 = properFractionFormat86.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat90 = new org.apache.commons.math.fraction.FractionFormat(numberFormat87, numberFormat89);
    properFractionFormat85.setNumeratorFormat(numberFormat87);
    properFractionFormat82.setWholeFormat(numberFormat87);
    properFractionFormat81.setWholeFormat(numberFormat87);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat94 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat87);
    fractionFormat67.setNumeratorFormat(numberFormat87);
    org.apache.commons.math.fraction.FractionFormat fractionFormat96 = new org.apache.commons.math.fraction.FractionFormat(numberFormat87);
    properFractionFormat54.setDenominatorFormat(numberFormat87);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat98 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat53, numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    java.text.NumberFormat numberFormat37 = fractionFormat33.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat39.setWholeFormat(numberFormat44);
    java.lang.Object obj50 = properFractionFormat39.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat55, numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat65.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67);
    java.text.NumberFormat numberFormat69 = fractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    fractionFormat68.setNumeratorFormat(numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat73.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat75.getNumeratorFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat75.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat80 = properFractionFormat79.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat82 = properFractionFormat81.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat80, numberFormat82);
    properFractionFormat78.setNumeratorFormat(numberFormat80);
    org.apache.commons.math.fraction.FractionFormat fractionFormat85 = new org.apache.commons.math.fraction.FractionFormat(numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat74, numberFormat77, numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat87 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat90 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat91 = properFractionFormat90.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat92 = new org.apache.commons.math.fraction.FractionFormat(numberFormat89, numberFormat91);
    properFractionFormat87.setNumeratorFormat(numberFormat89);
    properFractionFormat86.setWholeFormat(numberFormat89);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat95 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat71, numberFormat89);
    properFractionFormat39.setDenominatorFormat(numberFormat89);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat97 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat89);
    java.text.NumberFormat numberFormat98 = properFractionFormat97.getWholeFormat();
    properFractionFormat0.setWholeFormat(numberFormat98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat98);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat20, numberFormat23, numberFormat26);
    java.text.NumberFormat numberFormat33 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23);
    properFractionFormat17.setWholeFormat(numberFormat23);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat40.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat47);
    properFractionFormat43.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat39, numberFormat42, numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat52.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat59);
    properFractionFormat55.setNumeratorFormat(numberFormat57);
    properFractionFormat52.setWholeFormat(numberFormat57);
    properFractionFormat51.setWholeFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat66.getWholeFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat66.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat71, numberFormat73);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat75.getNumeratorFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat75.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat80 = properFractionFormat79.getNumeratorFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat79.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat83.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat87 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84, numberFormat86);
    properFractionFormat82.setNumeratorFormat(numberFormat84);
    properFractionFormat79.setWholeFormat(numberFormat84);
    java.lang.Object obj90 = properFractionFormat79.clone();
    java.text.NumberFormat numberFormat91 = properFractionFormat79.getNumeratorFormat();
    java.text.NumberFormat numberFormat92 = properFractionFormat79.getNumeratorFormat();
    fractionFormat78.setNumeratorFormat(numberFormat92);
    org.apache.commons.math.fraction.FractionFormat fractionFormat94 = new org.apache.commons.math.fraction.FractionFormat(numberFormat92);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat95 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat73, numberFormat92);
    org.apache.commons.math.fraction.FractionFormat fractionFormat96 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat73);
    fractionFormat37.setNumeratorFormat(numberFormat57);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction99 = fractionFormat37.parse("org.apache.commons.math.MathException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat92);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException2.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction9 = properFractionFormat7.parse("org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction17 = fractionFormat15.parse("org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getProperInstance();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat1.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat6, numberFormat8);
    properFractionFormat4.setNumeratorFormat(numberFormat6);
    properFractionFormat1.setWholeFormat(numberFormat6);
    java.lang.Object obj12 = properFractionFormat1.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat17, numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    java.text.NumberFormat numberFormat31 = fractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    fractionFormat30.setNumeratorFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat37.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42, numberFormat44);
    properFractionFormat40.setNumeratorFormat(numberFormat42);
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat36, numberFormat39, numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51, numberFormat53);
    properFractionFormat49.setNumeratorFormat(numberFormat51);
    properFractionFormat48.setWholeFormat(numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat33, numberFormat51);
    properFractionFormat1.setDenominatorFormat(numberFormat51);
    fractionFormat0.setNumeratorFormat(numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat62.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67, numberFormat69);
    properFractionFormat65.setNumeratorFormat(numberFormat67);
    org.apache.commons.math.fraction.FractionFormat fractionFormat72 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat61, numberFormat64, numberFormat67);
    java.text.NumberFormat numberFormat74 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat75 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat74);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat64);
    org.apache.commons.math.fraction.Fraction fraction78 = properFractionFormat76.parse("10");
    java.lang.String str79 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction78);
    java.lang.StringBuffer stringBuffer80 = null;
    java.text.FieldPosition fieldPosition81 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer82 = fractionFormat0.format(fraction78, stringBuffer80, fieldPosition81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "10 / 1"+ "'", str79.equals("10 / 1"));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!", throwable1);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat6.getWholeFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat6.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    fractionFormat18.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat13, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    properFractionFormat36.setWholeFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    properFractionFormat36.setNumeratorFormat(numberFormat49);
    java.text.NumberFormat numberFormat51 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat32, numberFormat51);
    java.text.NumberFormat numberFormat53 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat52.setDenominatorFormat(numberFormat53);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    java.text.ParsePosition parsePosition59 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction60 = properFractionFormat0.parse("org.apache.commons.math.MathException: hi!", parsePosition59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException1.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21, numberFormat24, numberFormat27);
    java.text.NumberFormat numberFormat34 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat24);
    org.apache.commons.math.fraction.Fraction fraction38 = properFractionFormat36.parse("10");
    java.lang.String str39 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction38);
    java.lang.String str40 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction38);
    java.lang.String str41 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction38);
    java.lang.String str42 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction38);
    java.lang.StringBuffer stringBuffer43 = null;
    java.text.FieldPosition fieldPosition44 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer45 = fractionFormat19.format(fraction38, stringBuffer43, fieldPosition44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "10 / 1"+ "'", str39.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "10 / 1"+ "'", str40.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "10 / 1"+ "'", str41.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "10 / 1"+ "'", str42.equals("10 / 1"));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat16.parse("10");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj20 = properFractionFormat16.parseObject("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    java.text.NumberFormat numberFormat26 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.lang.StringBuffer stringBuffer29 = null;
    java.text.FieldPosition fieldPosition30 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer31 = properFractionFormat0.format((java.lang.Object)properFractionFormat28, stringBuffer29, fieldPosition30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat19.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat30);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat32.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37, numberFormat39);
    properFractionFormat35.setNumeratorFormat(numberFormat37);
    properFractionFormat32.setWholeFormat(numberFormat37);
    java.lang.Object obj43 = properFractionFormat32.clone();
    java.text.NumberFormat numberFormat44 = properFractionFormat32.getNumeratorFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat32.getNumeratorFormat();
    fractionFormat31.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat22, numberFormat26, numberFormat45);
    fractionFormat3.setNumeratorFormat(numberFormat45);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj51 = numberFormat45.parseObject("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat21, numberFormat24);
    java.text.NumberFormat numberFormat31 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21);
    org.apache.commons.math.fraction.Fraction fraction35 = properFractionFormat33.parse("10");
    java.lang.String str36 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.String str37 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction35);
    java.lang.StringBuffer stringBuffer38 = null;
    java.text.FieldPosition fieldPosition39 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer40 = properFractionFormat16.format(fraction35, stringBuffer38, fieldPosition39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "10 / 1"+ "'", str36.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "10 / 1"+ "'", str37.equals("10 / 1"));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat45);
    java.text.ParsePosition parsePosition49 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj50 = properFractionFormat47.parseObject("10 / 1", parsePosition49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("10 / 1");

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    fractionFormat52.setDenominatorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat57 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat54, numberFormat57);
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat62.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67, numberFormat69);
    properFractionFormat65.setNumeratorFormat(numberFormat67);
    org.apache.commons.math.fraction.FractionFormat fractionFormat72 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat61, numberFormat64, numberFormat67);
    java.text.NumberFormat numberFormat74 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat75 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat74);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat64);
    org.apache.commons.math.fraction.Fraction fraction78 = properFractionFormat76.parse("10");
    java.lang.String str79 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction78);
    java.lang.String str80 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction78);
    java.lang.StringBuffer stringBuffer81 = null;
    java.text.FieldPosition fieldPosition82 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer83 = properFractionFormat58.format(fraction78, stringBuffer81, fieldPosition82);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "10 / 1"+ "'", str79.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "10 / 1"+ "'", str80.equals("10 / 1"));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getWholeFormat();
    properFractionFormat11.setDenominatorFormat(numberFormat57);
    java.text.ParsePosition parsePosition60 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction61 = properFractionFormat11.parse("org.apache.commons.math.MathException: hi!", parsePosition60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    properFractionFormat8.setWholeFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator20 = fractionFormat7.formatToCharacterIterator((java.lang.Object)numberFormat13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    fractionFormat16.setDenominatorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat22);
    properFractionFormat2.setWholeFormat(numberFormat22);
    properFractionFormat0.setWholeFormat(numberFormat22);
    java.text.ParsePosition parsePosition32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction33 = properFractionFormat0.parse("org.apache.commons.math.MathException", parsePosition32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.lang.Object obj13 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.lang.StringBuffer stringBuffer22 = null;
    java.text.FieldPosition fieldPosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer24 = properFractionFormat0.format((java.lang.Object)numberFormat16, stringBuffer22, fieldPosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = properFractionFormat27.parse("org.apache.commons.math.ConvergenceException", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getDenominatorFormat();
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = properFractionFormat26.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    java.text.NumberFormat numberFormat22 = fractionFormat21.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction24 = fractionFormat21.parse("10 / 1");
    java.lang.StringBuffer stringBuffer25 = null;
    java.text.FieldPosition fieldPosition26 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer27 = properFractionFormat0.format(fraction24, stringBuffer25, fieldPosition26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    fractionFormat15.setDenominatorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat21);
    properFractionFormat1.setWholeFormat(numberFormat21);
    properFractionFormat0.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException37);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str39 = numberFormat21.format((java.lang.Object)"org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!");
    java.lang.String str3 = mathException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);
    java.lang.String str6 = mathException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str3.equals("org.apache.commons.math.MathException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!"+ "'", str6.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable[] throwable_array6 = convergenceException3.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array10 = mathException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction15 = properFractionFormat0.parse("10 / 1", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction14 = properFractionFormat11.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    fractionFormat52.setDenominatorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat57 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat54, numberFormat57);
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getWholeFormat();
    java.text.ParsePosition parsePosition61 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction62 = properFractionFormat58.parse("org.apache.commons.math.ConvergenceException: hi!", parsePosition61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = numberFormat3.parseObject("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj18 = properFractionFormat0.parseObject("10 / 1", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException31);
    java.lang.Throwable[] throwable_array34 = mathException31.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator35 = numberFormat7.formatToCharacterIterator((java.lang.Object)throwable_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    java.text.ParsePosition parsePosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction13 = properFractionFormat8.parse("org.apache.commons.math.MathException: hi!", parsePosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat6);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    java.lang.Object obj9 = fractionFormat7.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    java.text.NumberFormat numberFormat15 = fractionFormat14.getDenominatorFormat();
    java.text.NumberFormat numberFormat16 = fractionFormat14.getDenominatorFormat();
    java.lang.Object obj17 = fractionFormat14.clone();
    java.text.NumberFormat numberFormat18 = fractionFormat14.getNumeratorFormat();
    fractionFormat7.setNumeratorFormat(numberFormat18);
    properFractionFormat0.setWholeFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat22, numberFormat25, numberFormat28);
    java.text.NumberFormat numberFormat35 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25, numberFormat35);
    java.text.NumberFormat numberFormat37 = fractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat37);
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat38.setWholeFormat(numberFormat41);
    properFractionFormat0.setNumeratorFormat(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = org.apache.commons.math.fraction.FractionFormat.getProperInstance();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    fractionFormat25.setDenominatorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat32.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37, numberFormat39);
    properFractionFormat35.setNumeratorFormat(numberFormat37);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31, numberFormat34, numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat44.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    properFractionFormat44.setWholeFormat(numberFormat49);
    properFractionFormat43.setWholeFormat(numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat49);
    fractionFormat29.setNumeratorFormat(numberFormat49);
    fractionFormat17.setDenominatorFormat(numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat59.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat66);
    properFractionFormat62.setNumeratorFormat(numberFormat64);
    properFractionFormat59.setWholeFormat(numberFormat64);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    properFractionFormat59.setNumeratorFormat(numberFormat72);
    java.text.NumberFormat numberFormat74 = properFractionFormat59.getWholeFormat();
    fractionFormat17.setDenominatorFormat(numberFormat74);
    properFractionFormat0.setWholeFormat(numberFormat74);
    java.text.ParsePosition parsePosition78 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction79 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", parsePosition78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction17 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("hi!");
    java.lang.Throwable[] throwable_array2 = mathException1.getSuppressed();
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat6.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat8, numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat18.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat25);
    properFractionFormat21.setNumeratorFormat(numberFormat23);
    properFractionFormat18.setWholeFormat(numberFormat23);
    properFractionFormat17.setWholeFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    fractionFormat37.setDenominatorFormat(numberFormat39);
    properFractionFormat17.setWholeFormat(numberFormat39);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat47);
    properFractionFormat43.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    java.text.NumberFormat numberFormat51 = fractionFormat50.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat54.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat59, numberFormat61);
    properFractionFormat57.setNumeratorFormat(numberFormat59);
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat59);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat53, numberFormat56, numberFormat59);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat39, numberFormat51, numberFormat53);
    fractionFormat3.setDenominatorFormat(numberFormat51);
    java.lang.Object obj68 = numberFormat51.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj68);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    java.text.NumberFormat numberFormat40 = null;
    // The following exception was thrown during execution in test generation
    try {
      fractionFormat38.setDenominatorFormat(numberFormat40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException3);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction14 = properFractionFormat0.parse("org.apache.commons.math.MathException: hi!", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat16.parse("10");
    java.text.ParsePosition parsePosition20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction21 = properFractionFormat16.parse("", parsePosition20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getProperInstance();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    fractionFormat8.setDenominatorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat17, numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    properFractionFormat27.setWholeFormat(numberFormat32);
    properFractionFormat26.setWholeFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32);
    fractionFormat12.setNumeratorFormat(numberFormat32);
    fractionFormat0.setDenominatorFormat(numberFormat32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction43 = fractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.lang.Object obj7 = fractionFormat4.clone();
    java.text.NumberFormat numberFormat8 = fractionFormat4.getNumeratorFormat();
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fractionFormat4.parseObject("", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    java.lang.Object obj60 = numberFormat50.parseObject("10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj60 + "' != '" + 10L+ "'", obj60.equals(10L));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42, numberFormat44);
    java.text.NumberFormat numberFormat46 = fractionFormat45.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction48 = fractionFormat45.parse("10 / 1");
    java.lang.StringBuffer stringBuffer49 = null;
    java.text.FieldPosition fieldPosition50 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer51 = fractionFormat40.format(fraction48, stringBuffer49, fieldPosition50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", throwable1);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12, numberFormat15, numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat30, numberFormat32);
    properFractionFormat28.setNumeratorFormat(numberFormat30);
    properFractionFormat25.setWholeFormat(numberFormat30);
    properFractionFormat24.setWholeFormat(numberFormat30);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat30);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat30);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat39.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat52.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat59);
    properFractionFormat55.setNumeratorFormat(numberFormat57);
    properFractionFormat52.setWholeFormat(numberFormat57);
    java.lang.Object obj63 = properFractionFormat52.clone();
    java.text.NumberFormat numberFormat64 = properFractionFormat52.getNumeratorFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat52.getNumeratorFormat();
    fractionFormat51.setNumeratorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat42, numberFormat46, numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat30, numberFormat46);
    java.lang.Object obj70 = numberFormat30.clone();
    java.lang.Object obj71 = numberFormat30.clone();
    properFractionFormat0.setWholeFormat(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj71);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    fractionFormat29.setDenominatorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat35);
    properFractionFormat15.setWholeFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    java.lang.StringBuffer stringBuffer44 = null;
    java.text.FieldPosition fieldPosition45 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer46 = properFractionFormat0.format((java.lang.Object)numberFormat35, stringBuffer44, fieldPosition45);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    properFractionFormat15.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat19);
    java.text.ParsePosition parsePosition28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj29 = fractionFormat26.parseObject("org.apache.commons.math.MathException: ", parsePosition28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    fractionFormat43.setDenominatorFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat49);
    properFractionFormat29.setWholeFormat(numberFormat49);
    properFractionFormat28.setNumeratorFormat(numberFormat49);
    properFractionFormat27.setWholeFormat(numberFormat49);
    java.text.NumberFormat numberFormat59 = properFractionFormat27.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction61 = properFractionFormat27.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getNumeratorFormat();
    java.lang.Object obj6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    java.text.FieldPosition fieldPosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fractionFormat4.format(obj6, stringBuffer7, fieldPosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat35);
    properFractionFormat0.setDenominatorFormat(numberFormat35);
    java.text.ParsePosition parsePosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj41 = properFractionFormat0.parseObject("org.apache.commons.math.MathException: hi!", parsePosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getNumeratorFormat();
    java.lang.String str49 = numberFormat47.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator50 = properFractionFormat38.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat51 = properFractionFormat38.getWholeFormat();
    properFractionFormat29.setWholeFormat(numberFormat51);
    java.text.ParsePosition parsePosition54 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction55 = properFractionFormat29.parse("org.apache.commons.math.ConvergenceException", parsePosition54);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "10"+ "'", str49.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj13 = properFractionFormat11.parseObject("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    java.lang.Object obj5 = fractionFormat3.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    java.text.NumberFormat numberFormat11 = fractionFormat10.getDenominatorFormat();
    java.text.NumberFormat numberFormat12 = fractionFormat10.getDenominatorFormat();
    java.lang.Object obj13 = fractionFormat10.clone();
    java.text.NumberFormat numberFormat14 = fractionFormat10.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat3.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat6);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = fractionFormat8.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    properFractionFormat4.setNumeratorFormat(numberFormat17);
    java.text.NumberFormat numberFormat19 = properFractionFormat4.getWholeFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat4.getDenominatorFormat();
    java.lang.Object obj21 = numberFormat20.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator22 = numberFormat2.formatToCharacterIterator(obj21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj21);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);
    convergenceException2.addSuppressed((java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    mathException4.addSuppressed((java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array11 = convergenceException9.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException15);
    java.lang.Throwable[] throwable_array17 = convergenceException15.getSuppressed();
    java.lang.Throwable[] throwable_array18 = convergenceException15.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException21);
    convergenceException9.addSuppressed((java.lang.Throwable)mathException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30);
    convergenceException28.addSuppressed((java.lang.Throwable)mathException30);
    convergenceException25.addSuppressed((java.lang.Throwable)mathException30);
    convergenceException9.addSuppressed((java.lang.Throwable)convergenceException25);
    java.lang.String str35 = convergenceException25.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str35.equals("org.apache.commons.math.ConvergenceException"));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException8);
    java.lang.Throwable[] throwable_array10 = convergenceException8.getSuppressed();
    convergenceException4.addSuppressed((java.lang.Throwable)convergenceException8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException8);
    java.lang.Throwable[] throwable_array13 = convergenceException8.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str5.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    java.text.NumberFormat numberFormat39 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat41, numberFormat44, numberFormat47);
    java.text.NumberFormat numberFormat54 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    org.apache.commons.math.fraction.Fraction fraction58 = properFractionFormat56.parse("10");
    java.lang.String str59 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str60 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str61 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.String str62 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction58);
    java.lang.StringBuffer stringBuffer63 = null;
    java.text.FieldPosition fieldPosition64 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer65 = properFractionFormat7.format(fraction58, stringBuffer63, fieldPosition64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10 / 1"+ "'", str59.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "10 / 1"+ "'", str60.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "10 / 1"+ "'", str61.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "10 / 1"+ "'", str62.equals("10 / 1"));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15);
    java.text.NumberFormat numberFormat17 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat16.setWholeFormat(numberFormat17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat12.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat14, numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    properFractionFormat24.setWholeFormat(numberFormat29);
    properFractionFormat23.setWholeFormat(numberFormat29);
    properFractionFormat7.setWholeFormat(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.lang.Object obj28 = properFractionFormat27.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    properFractionFormat27.setNumeratorFormat(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable7);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    properFractionFormat13.setWholeFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    java.text.NumberFormat numberFormat26 = fractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    org.apache.commons.math.fraction.Fraction fraction29 = null;
    java.lang.StringBuffer stringBuffer30 = null;
    java.text.FieldPosition fieldPosition31 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer32 = properFractionFormat28.format(fraction29, stringBuffer30, fieldPosition31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)convergenceException14);
    java.lang.StringBuffer stringBuffer16 = null;
    java.text.FieldPosition fieldPosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer18 = properFractionFormat8.format((java.lang.Object)convergenceException14, stringBuffer16, fieldPosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj59 = numberFormat50.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);
    convergenceException2.addSuppressed((java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39, numberFormat41);
    properFractionFormat37.setNumeratorFormat(numberFormat39);
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33, numberFormat36, numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat46.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48);
    java.text.NumberFormat numberFormat50 = fractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    fractionFormat49.setNumeratorFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat56.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    properFractionFormat59.setNumeratorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat55, numberFormat58, numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat72);
    properFractionFormat68.setNumeratorFormat(numberFormat70);
    properFractionFormat67.setWholeFormat(numberFormat70);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33, numberFormat52, numberFormat70);
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat77);
    java.lang.Object obj79 = numberFormat77.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj79);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.text.NumberFormat numberFormat0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat45);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction49 = properFractionFormat47.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    java.text.NumberFormat numberFormat37 = fractionFormat33.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat37);
    java.text.NumberFormat numberFormat39 = properFractionFormat0.getDenominatorFormat();
    java.text.ParsePosition parsePosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj42 = properFractionFormat0.parseObject("", parsePosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction6 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: ", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException(throwable0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat7.setWholeFormat(numberFormat9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("10 / 1", throwable1);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable6);
    mathException5.addSuppressed((java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException11);
    mathException5.addSuppressed((java.lang.Throwable)mathException11);
    mathException2.addSuppressed((java.lang.Throwable)mathException11);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction20 = properFractionFormat17.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction17 = properFractionFormat14.parse("org.apache.commons.math.ConvergenceException: ", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator4 = numberFormat2.formatToCharacterIterator((java.lang.Object)100L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberFormat2.format((java.lang.Object)"org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator4);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat17 = fractionFormat16.getNumeratorFormat();
    java.lang.String str19 = numberFormat17.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator20 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getWholeFormat();
    java.text.ParsePosition parsePosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj24 = properFractionFormat8.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "10"+ "'", str19.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("hi!");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat20.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    java.text.NumberFormat numberFormat24 = fractionFormat23.getNumeratorFormat();
    java.lang.Object obj25 = fractionFormat23.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    java.text.NumberFormat numberFormat31 = fractionFormat30.getDenominatorFormat();
    java.text.NumberFormat numberFormat32 = fractionFormat30.getDenominatorFormat();
    java.lang.Object obj33 = fractionFormat30.clone();
    java.text.NumberFormat numberFormat34 = fractionFormat30.getNumeratorFormat();
    fractionFormat23.setNumeratorFormat(numberFormat34);
    fractionFormat19.setDenominatorFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat38, numberFormat41, numberFormat44);
    java.text.NumberFormat numberFormat51 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat41);
    org.apache.commons.math.fraction.Fraction fraction55 = properFractionFormat53.parse("10");
    java.lang.String str56 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction55);
    java.lang.String str57 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction55);
    java.lang.String str58 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction55);
    java.lang.String str59 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction55);
    java.lang.StringBuffer stringBuffer60 = null;
    java.text.FieldPosition fieldPosition61 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer62 = fractionFormat19.format(fraction55, stringBuffer60, fieldPosition61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "10 / 1"+ "'", str56.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "10 / 1"+ "'", str57.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "10 / 1"+ "'", str58.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10 / 1"+ "'", str59.equals("10 / 1"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("10 / 1");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj9 = numberFormat2.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction5 = properFractionFormat0.parse("org.apache.commons.math.MathException", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException4.getSuppressed();
    java.lang.Throwable[] throwable_array7 = convergenceException4.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "+ "'", str11.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = numberFormat1.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable4);
    mathException3.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    java.lang.String str10 = mathException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str10.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException4.getSuppressed();
    java.lang.Throwable[] throwable_array7 = convergenceException4.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array11 = convergenceException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    properFractionFormat14.setNumeratorFormat(numberFormat27);
    java.text.NumberFormat numberFormat29 = properFractionFormat14.getWholeFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    properFractionFormat31.setWholeFormat(numberFormat36);
    java.lang.Object obj42 = properFractionFormat31.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat45.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44, numberFormat47, numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat57.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat59);
    java.text.NumberFormat numberFormat61 = fractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    fractionFormat60.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat67.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat73.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat75 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72, numberFormat74);
    properFractionFormat70.setNumeratorFormat(numberFormat72);
    org.apache.commons.math.fraction.FractionFormat fractionFormat77 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat66, numberFormat69, numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81, numberFormat83);
    properFractionFormat79.setNumeratorFormat(numberFormat81);
    properFractionFormat78.setWholeFormat(numberFormat81);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat87 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44, numberFormat63, numberFormat81);
    properFractionFormat31.setDenominatorFormat(numberFormat81);
    properFractionFormat14.setDenominatorFormat(numberFormat81);
    properFractionFormat0.setNumeratorFormat(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getDenominatorFormat();
    java.text.ParsePosition parsePosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction19 = properFractionFormat15.parse("org.apache.commons.math.ConvergenceException", parsePosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable[] throwable_array6 = convergenceException3.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array9 = convergenceException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55, numberFormat57);
    properFractionFormat53.setNumeratorFormat(numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat55);
    java.text.NumberFormat numberFormat61 = properFractionFormat51.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat64.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat72 = new org.apache.commons.math.fraction.FractionFormat(numberFormat69, numberFormat71);
    properFractionFormat67.setNumeratorFormat(numberFormat69);
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat69);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat63, numberFormat66, numberFormat69);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat76.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81, numberFormat83);
    properFractionFormat79.setNumeratorFormat(numberFormat81);
    properFractionFormat76.setWholeFormat(numberFormat81);
    properFractionFormat75.setWholeFormat(numberFormat81);
    properFractionFormat51.setWholeFormat(numberFormat81);
    java.lang.StringBuffer stringBuffer89 = null;
    java.text.FieldPosition fieldPosition90 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer91 = properFractionFormat50.format((java.lang.Object)numberFormat81, stringBuffer89, fieldPosition90);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator6 = numberFormat4.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator6);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException8);
    java.lang.Throwable[] throwable_array10 = convergenceException8.getSuppressed();
    convergenceException4.addSuppressed((java.lang.Throwable)convergenceException8);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    java.lang.Throwable[] throwable_array13 = convergenceException12.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str5.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    fractionFormat34.setDenominatorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46, numberFormat48);
    properFractionFormat44.setNumeratorFormat(numberFormat46);
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat40, numberFormat43, numberFormat46);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    properFractionFormat53.setWholeFormat(numberFormat58);
    properFractionFormat52.setWholeFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat58);
    fractionFormat38.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    properFractionFormat25.setDenominatorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat58);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator70 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)numberFormat19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat23);
    properFractionFormat0.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    java.text.NumberFormat numberFormat31 = fractionFormat30.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction33 = fractionFormat30.parse("10 / 1");
    java.lang.StringBuffer stringBuffer34 = null;
    java.text.FieldPosition fieldPosition35 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer36 = properFractionFormat0.format(fraction33, stringBuffer34, fieldPosition35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat10);
    java.text.NumberFormat numberFormat12 = fractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.text.NumberFormat numberFormat24 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat29, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    fractionFormat42.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat49.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54, numberFormat56);
    properFractionFormat52.setNumeratorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat48, numberFormat51, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    properFractionFormat60.setWholeFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat45, numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    java.text.NumberFormat numberFormat71 = fractionFormat70.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat72.getWholeFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat72.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat76.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat79 = new org.apache.commons.math.fraction.FractionFormat(numberFormat78);
    java.text.NumberFormat numberFormat80 = fractionFormat79.getNumeratorFormat();
    java.lang.Object obj81 = fractionFormat79.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat85 = properFractionFormat84.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat86 = new org.apache.commons.math.fraction.FractionFormat(numberFormat83, numberFormat85);
    java.text.NumberFormat numberFormat87 = fractionFormat86.getDenominatorFormat();
    java.text.NumberFormat numberFormat88 = fractionFormat86.getDenominatorFormat();
    java.lang.Object obj89 = fractionFormat86.clone();
    java.text.NumberFormat numberFormat90 = fractionFormat86.getNumeratorFormat();
    fractionFormat79.setNumeratorFormat(numberFormat90);
    properFractionFormat72.setWholeFormat(numberFormat90);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat93 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat24, numberFormat71, numberFormat90);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat94 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat95 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat12, numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat90);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable[] throwable_array6 = convergenceException3.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getNumeratorFormat();
    java.lang.String str49 = numberFormat47.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator50 = properFractionFormat38.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat51 = properFractionFormat38.getWholeFormat();
    properFractionFormat29.setWholeFormat(numberFormat51);
    java.text.AttributedCharacterIterator attributedCharacterIterator54 = numberFormat51.formatToCharacterIterator((java.lang.Object)100.0d);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction57 = fractionFormat55.parse("org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "10"+ "'", str49.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator54);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.Throwable[] throwable_array4 = mathException1.getSuppressed();
    java.lang.String str5 = mathException1.toString();
    java.lang.String str6 = mathException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.MathException"+ "'", str5.equals("org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException"+ "'", str6.equals("org.apache.commons.math.MathException"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction17 = properFractionFormat0.parse("org.apache.commons.math.MathException: hi!", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.text.ParsePosition parsePosition28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction29 = properFractionFormat26.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj15 = numberFormat13.parseObject("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array8 = mathException5.getSuppressed();
    convergenceException1.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException12);
    java.lang.Throwable[] throwable_array14 = convergenceException12.getSuppressed();
    java.lang.Throwable[] throwable_array15 = convergenceException12.getSuppressed();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException12);
    java.lang.String str17 = mathException16.toString();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16);
    convergenceException1.addSuppressed((java.lang.Throwable)mathException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str17.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", throwable1);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)convergenceException6);
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", throwable9);
    // The following exception was thrown during execution in test generation
    try {
      mathException7.addSuppressed(throwable9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    java.text.NumberFormat numberFormat28 = fractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat28);
    properFractionFormat14.setWholeFormat(numberFormat23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction32 = properFractionFormat14.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    properFractionFormat13.setWholeFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    java.text.NumberFormat numberFormat26 = fractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat26);
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction30 = fractionFormat27.parse("org.apache.commons.math.MathException: ", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat6.getWholeFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat6.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    fractionFormat18.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat13, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    properFractionFormat36.setWholeFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    properFractionFormat36.setNumeratorFormat(numberFormat49);
    java.text.NumberFormat numberFormat51 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5, numberFormat32, numberFormat51);
    org.apache.commons.math.fraction.Fraction fraction53 = null;
    java.lang.StringBuffer stringBuffer54 = null;
    java.text.FieldPosition fieldPosition55 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer56 = properFractionFormat52.format(fraction53, stringBuffer54, fieldPosition55);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    java.text.NumberFormat numberFormat7 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat0.setDenominatorFormat(numberFormat7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    java.lang.Object obj59 = properFractionFormat58.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator16 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)properFractionFormat15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    java.lang.Object obj39 = properFractionFormat28.clone();
    java.text.NumberFormat numberFormat40 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator45 = numberFormat43.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat28.setDenominatorFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    properFractionFormat47.setWholeFormat(numberFormat52);
    java.lang.Object obj58 = properFractionFormat47.clone();
    java.text.NumberFormat numberFormat59 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat61.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat63);
    properFractionFormat28.setDenominatorFormat(numberFormat63);
    properFractionFormat27.setDenominatorFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat72, numberFormat75);
    java.text.NumberFormat numberFormat82 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72, numberFormat82);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat72);
    org.apache.commons.math.fraction.Fraction fraction86 = properFractionFormat84.parse("10");
    java.lang.String str87 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction86);
    java.lang.StringBuffer stringBuffer88 = null;
    java.text.FieldPosition fieldPosition89 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer90 = properFractionFormat27.format(fraction86, stringBuffer88, fieldPosition89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + "10 / 1"+ "'", str87.equals("10 / 1"));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fractionFormat6.format((java.lang.Object)convergenceException8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    java.lang.Throwable[] throwable_array5 = mathException2.getSuppressed();
    java.lang.String str6 = mathException2.toString();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException"+ "'", str6.equals("org.apache.commons.math.MathException"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj18 = numberFormat16.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction14 = properFractionFormat12.parse("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    java.lang.Object obj25 = properFractionFormat14.clone();
    java.text.NumberFormat numberFormat26 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator31 = numberFormat29.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat14.setDenominatorFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    fractionFormat40.setDenominatorFormat(numberFormat42);
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42);
    properFractionFormat14.setWholeFormat(numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat60.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat62);
    java.text.NumberFormat numberFormat64 = fractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    fractionFormat63.setNumeratorFormat(numberFormat66);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat72, numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat83.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat87 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84, numberFormat86);
    properFractionFormat82.setNumeratorFormat(numberFormat84);
    properFractionFormat81.setWholeFormat(numberFormat84);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat90 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat66, numberFormat84);
    java.text.NumberFormat numberFormat91 = properFractionFormat90.getWholeFormat();
    properFractionFormat14.setNumeratorFormat(numberFormat91);
    properFractionFormat13.setDenominatorFormat(numberFormat91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat91);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    java.lang.Object obj39 = properFractionFormat28.clone();
    java.text.NumberFormat numberFormat40 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator45 = numberFormat43.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat28.setDenominatorFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    properFractionFormat47.setWholeFormat(numberFormat52);
    java.lang.Object obj58 = properFractionFormat47.clone();
    java.text.NumberFormat numberFormat59 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat61.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat63);
    properFractionFormat28.setDenominatorFormat(numberFormat63);
    properFractionFormat27.setDenominatorFormat(numberFormat63);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj69 = properFractionFormat27.parseObject("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable7);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)convergenceException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat29, numberFormat32);
    java.text.NumberFormat numberFormat39 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29);
    org.apache.commons.math.fraction.Fraction fraction43 = properFractionFormat41.parse("10");
    java.lang.StringBuffer stringBuffer44 = null;
    java.text.FieldPosition fieldPosition45 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer46 = properFractionFormat17.format(fraction43, stringBuffer44, fieldPosition45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat22.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    properFractionFormat22.setWholeFormat(numberFormat27);
    properFractionFormat21.setWholeFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    fractionFormat41.setDenominatorFormat(numberFormat43);
    properFractionFormat21.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    java.text.NumberFormat numberFormat55 = fractionFormat54.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    org.apache.commons.math.fraction.FractionFormat fractionFormat68 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat57, numberFormat60, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43, numberFormat55, numberFormat57);
    java.text.NumberFormat numberFormat71 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat43, numberFormat71);
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj75 = properFractionFormat72.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    java.text.ParsePosition parsePosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj42 = fractionFormat38.parseObject("org.apache.commons.math.ConvergenceException", parsePosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    properFractionFormat0.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    java.text.NumberFormat numberFormat38 = fractionFormat37.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction40 = fractionFormat37.parse("10 / 1");
    java.lang.StringBuffer stringBuffer41 = null;
    java.text.FieldPosition fieldPosition42 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer43 = properFractionFormat0.format(fraction40, stringBuffer41, fieldPosition42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.lang.Object obj7 = fractionFormat4.clone();
    java.text.NumberFormat numberFormat8 = fractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = numberFormat8.format((java.lang.Object)numberFormat18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    properFractionFormat14.setNumeratorFormat(numberFormat27);
    java.text.NumberFormat numberFormat29 = properFractionFormat14.getWholeFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat14.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str31 = numberFormat13.format((java.lang.Object)properFractionFormat14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1);
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable3);
    mathException2.addSuppressed((java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException8);
    mathException2.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("10 / 1");
    java.lang.Throwable[] throwable_array2 = convergenceException1.getSuppressed();
    java.lang.Throwable[] throwable_array3 = convergenceException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    java.lang.Object obj28 = properFractionFormat27.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj30 = properFractionFormat27.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    java.text.NumberFormat numberFormat39 = properFractionFormat7.getWholeFormat();
    java.lang.Object obj40 = numberFormat39.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj40);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat13, numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    properFractionFormat23.setWholeFormat(numberFormat28);
    properFractionFormat22.setWholeFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37, numberFormat39);
    properFractionFormat35.setNumeratorFormat(numberFormat37);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    fractionFormat42.setDenominatorFormat(numberFormat44);
    properFractionFormat22.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    java.text.NumberFormat numberFormat56 = fractionFormat55.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat59.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat66);
    properFractionFormat62.setNumeratorFormat(numberFormat64);
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat58, numberFormat61, numberFormat64);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44, numberFormat56, numberFormat58);
    java.text.NumberFormat numberFormat72 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat44, numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat75.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat77.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat79 = new org.apache.commons.math.fraction.FractionFormat(numberFormat76, numberFormat78);
    properFractionFormat74.setNumeratorFormat(numberFormat76);
    org.apache.commons.math.fraction.FractionFormat fractionFormat81 = new org.apache.commons.math.fraction.FractionFormat(numberFormat76);
    java.text.NumberFormat numberFormat82 = fractionFormat81.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat82);
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat0, numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat82);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39, numberFormat41);
    properFractionFormat37.setNumeratorFormat(numberFormat39);
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33, numberFormat36, numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat46.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48);
    java.text.NumberFormat numberFormat50 = fractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    fractionFormat49.setNumeratorFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat56.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    properFractionFormat59.setNumeratorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat55, numberFormat58, numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat72);
    properFractionFormat68.setNumeratorFormat(numberFormat70);
    properFractionFormat67.setWholeFormat(numberFormat70);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33, numberFormat52, numberFormat70);
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat77);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction80 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    properFractionFormat13.setWholeFormat(numberFormat16);
    java.text.NumberFormat numberFormat22 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat13.setNumeratorFormat(numberFormat22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    java.lang.String str3 = convergenceException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str3.equals("org.apache.commons.math.ConvergenceException"));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    java.lang.Throwable[] throwable_array2 = mathException1.getSuppressed();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    mathException1.addSuppressed((java.lang.Throwable)mathException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    fractionFormat9.setDenominatorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat16.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat18, numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    properFractionFormat27.setWholeFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33);
    fractionFormat13.setNumeratorFormat(numberFormat33);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    properFractionFormat0.setDenominatorFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33);
    java.text.ParsePosition parsePosition46 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj47 = properFractionFormat44.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException");

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    properFractionFormat0.setWholeFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    fractionFormat36.setDenominatorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat43.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48, numberFormat50);
    properFractionFormat46.setNumeratorFormat(numberFormat48);
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat42, numberFormat45, numberFormat48);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat55.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat62);
    properFractionFormat58.setNumeratorFormat(numberFormat60);
    properFractionFormat55.setWholeFormat(numberFormat60);
    properFractionFormat54.setWholeFormat(numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat60);
    fractionFormat40.setNumeratorFormat(numberFormat60);
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60);
    properFractionFormat27.setDenominatorFormat(numberFormat60);
    org.apache.commons.math.fraction.FractionFormat fractionFormat71 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat60);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator72 = properFractionFormat0.formatToCharacterIterator((java.lang.Object)numberFormat60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction17 = null;
    java.lang.StringBuffer stringBuffer18 = null;
    java.text.FieldPosition fieldPosition19 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer20 = properFractionFormat0.format(fraction17, stringBuffer18, fieldPosition19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat22);
    java.lang.Object obj28 = properFractionFormat17.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat30, numberFormat33, numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat43.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    fractionFormat46.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat55, numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat67, numberFormat69);
    properFractionFormat65.setNumeratorFormat(numberFormat67);
    properFractionFormat64.setWholeFormat(numberFormat67);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat30, numberFormat49, numberFormat67);
    properFractionFormat17.setDenominatorFormat(numberFormat67);
    properFractionFormat0.setDenominatorFormat(numberFormat67);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat77.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat80 = properFractionFormat79.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat81 = new org.apache.commons.math.fraction.FractionFormat(numberFormat78, numberFormat80);
    properFractionFormat76.setNumeratorFormat(numberFormat78);
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat78);
    java.text.NumberFormat numberFormat84 = fractionFormat83.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    java.text.NumberFormat numberFormat87 = properFractionFormat85.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat88 = new org.apache.commons.math.fraction.FractionFormat(numberFormat87);
    java.text.NumberFormat numberFormat89 = fractionFormat88.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat90 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84, numberFormat89);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat91 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat84);
    properFractionFormat0.setDenominatorFormat(numberFormat84);
    java.text.NumberFormat numberFormat93 = properFractionFormat0.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat93);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat1.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat6, numberFormat8);
    properFractionFormat4.setNumeratorFormat(numberFormat6);
    properFractionFormat1.setWholeFormat(numberFormat6);
    java.lang.Object obj12 = properFractionFormat1.clone();
    java.text.NumberFormat numberFormat13 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator18 = numberFormat16.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat1.setDenominatorFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    fractionFormat27.setDenominatorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    properFractionFormat1.setWholeFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat35.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat40, numberFormat42);
    properFractionFormat38.setNumeratorFormat(numberFormat40);
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat34, numberFormat37, numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    properFractionFormat47.setWholeFormat(numberFormat52);
    properFractionFormat46.setWholeFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    properFractionFormat59.setNumeratorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    fractionFormat66.setDenominatorFormat(numberFormat68);
    properFractionFormat46.setWholeFormat(numberFormat68);
    org.apache.commons.math.fraction.FractionFormat fractionFormat71 = new org.apache.commons.math.fraction.FractionFormat(numberFormat68);
    java.text.NumberFormat numberFormat72 = fractionFormat71.getDenominatorFormat();
    properFractionFormat1.setWholeFormat(numberFormat72);
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat0, numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat79 = properFractionFormat78.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat77, numberFormat79);
    properFractionFormat75.setNumeratorFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat77);
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getWholeFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat85 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72, numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.String str6 = convergenceException5.toString();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array11 = convergenceException9.getSuppressed();
    convergenceException5.addSuppressed((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException9);
    java.lang.String str14 = convergenceException13.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str6.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str14.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat4 = fractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    fractionFormat19.setDenominatorFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25, numberFormat27);
    properFractionFormat23.setNumeratorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat25);
    properFractionFormat5.setWholeFormat(numberFormat25);
    fractionFormat3.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException35);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator37 = numberFormat25.formatToCharacterIterator((java.lang.Object)mathException36);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj33 = numberFormat28.parseObject("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat8);
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat15.parse("org.apache.commons.math.ConvergenceException: ", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    properFractionFormat6.setNumeratorFormat(numberFormat10);
    java.text.NumberFormat numberFormat16 = properFractionFormat6.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat16);
    java.lang.Object obj18 = fractionFormat17.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj18);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator6 = numberFormat4.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat10.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat9, numberFormat12, numberFormat15);
    java.text.NumberFormat numberFormat22 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.Fraction fraction26 = properFractionFormat24.parse("10");
    java.lang.String str27 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction26);
    java.lang.String str28 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction26);
    java.lang.StringBuffer stringBuffer29 = null;
    java.text.FieldPosition fieldPosition30 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer31 = properFractionFormat0.format(fraction26, stringBuffer29, fieldPosition30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "10 / 1"+ "'", str27.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "10 / 1"+ "'", str28.equals("10 / 1"));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getWholeFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    properFractionFormat0.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.Fraction fraction33 = null;
    java.lang.StringBuffer stringBuffer34 = null;
    java.text.FieldPosition fieldPosition35 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer36 = properFractionFormat0.format(fraction33, stringBuffer34, fieldPosition35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    java.lang.Throwable[] throwable_array15 = mathException13.getSuppressed();
    java.lang.StringBuffer stringBuffer16 = null;
    java.text.FieldPosition fieldPosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer18 = fractionFormat11.format((java.lang.Object)mathException13, stringBuffer16, fieldPosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    java.text.NumberFormat numberFormat35 = fractionFormat34.getNumeratorFormat();
    properFractionFormat26.setDenominatorFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39, numberFormat41);
    properFractionFormat37.setNumeratorFormat(numberFormat39);
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48, numberFormat50);
    properFractionFormat46.setNumeratorFormat(numberFormat48);
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48);
    java.text.NumberFormat numberFormat54 = fractionFormat53.getNumeratorFormat();
    java.lang.String str56 = numberFormat54.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator57 = properFractionFormat45.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat58 = properFractionFormat45.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    fractionFormat59.setDenominatorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator67 = numberFormat35.formatToCharacterIterator((java.lang.Object)numberFormat61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "10"+ "'", str56.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable7);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getWholeFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat28.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat37.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46, numberFormat48);
    properFractionFormat44.setNumeratorFormat(numberFormat46);
    properFractionFormat41.setWholeFormat(numberFormat46);
    java.lang.Object obj52 = properFractionFormat41.clone();
    java.text.NumberFormat numberFormat53 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat41.getNumeratorFormat();
    fractionFormat40.setNumeratorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31, numberFormat35, numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException();
    java.lang.String str61 = mathException60.toString();
    java.lang.Throwable[] throwable_array62 = mathException60.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str63 = numberFormat35.format((java.lang.Object)mathException60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.MathException"+ "'", str61.equals("org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException4.getSuppressed();
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable8);
    convergenceException4.addSuppressed((java.lang.Throwable)mathException9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("10", (java.lang.Throwable)mathException9);
    java.lang.String str15 = mathException9.toString();
    java.lang.Throwable[] throwable_array16 = mathException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException"+ "'", str15.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    properFractionFormat0.setWholeFormat(numberFormat4);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat25);
    properFractionFormat21.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23);
    java.text.NumberFormat numberFormat29 = fractionFormat28.getNumeratorFormat();
    java.lang.String str31 = numberFormat29.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator32 = properFractionFormat20.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat33 = properFractionFormat20.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    fractionFormat34.setDenominatorFormat(numberFormat36);
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    properFractionFormat0.setNumeratorFormat(numberFormat36);
    java.text.ParsePosition parsePosition44 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj45 = properFractionFormat0.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", parsePosition44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "10"+ "'", str31.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)convergenceException5);
    java.lang.String str7 = convergenceException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException"+ "'", str7.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException"));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat20, numberFormat23, numberFormat26);
    java.text.NumberFormat numberFormat33 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23);
    properFractionFormat17.setWholeFormat(numberFormat23);
    java.text.NumberFormat numberFormat37 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat40.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat47);
    properFractionFormat43.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat39, numberFormat42, numberFormat45);
    java.text.NumberFormat numberFormat52 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42, numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat42);
    org.apache.commons.math.fraction.Fraction fraction56 = properFractionFormat54.parse("10");
    java.lang.String str57 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction56);
    java.lang.String str58 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction56);
    java.lang.String str59 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction56);
    java.lang.StringBuffer stringBuffer60 = null;
    java.text.FieldPosition fieldPosition61 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer62 = properFractionFormat17.format(fraction56, stringBuffer60, fieldPosition61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "10 / 1"+ "'", str57.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "10 / 1"+ "'", str58.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10 / 1"+ "'", str59.equals("10 / 1"));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54, numberFormat56);
    properFractionFormat52.setNumeratorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat60 = fractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat61.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63);
    java.text.NumberFormat numberFormat65 = fractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat65);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat60);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str68 = numberFormat44.format((java.lang.Object)numberFormat60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    java.text.NumberFormat numberFormat28 = fractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat28);
    properFractionFormat14.setWholeFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat31.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat40.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat44.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    properFractionFormat44.setWholeFormat(numberFormat49);
    java.lang.Object obj55 = properFractionFormat44.clone();
    java.text.NumberFormat numberFormat56 = properFractionFormat44.getNumeratorFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat44.getNumeratorFormat();
    fractionFormat43.setNumeratorFormat(numberFormat57);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat34, numberFormat38, numberFormat57);
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    java.text.NumberFormat numberFormat40 = fractionFormat38.getNumeratorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj10 = numberFormat2.parseObject("org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat17, numberFormat20);
    java.text.NumberFormat numberFormat27 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat17);
    org.apache.commons.math.fraction.Fraction fraction31 = properFractionFormat29.parse("10");
    java.lang.String str32 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.String str33 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.StringBuffer stringBuffer34 = null;
    java.text.FieldPosition fieldPosition35 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer36 = properFractionFormat0.format(fraction31, stringBuffer34, fieldPosition35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "10 / 1"+ "'", str32.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "10 / 1"+ "'", str33.equals("10 / 1"));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    fractionFormat52.setDenominatorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat57 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat54, numberFormat57);
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(numberFormat59);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    mathException2.addSuppressed((java.lang.Throwable)convergenceException5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.lang.StringBuffer stringBuffer26 = null;
    java.text.FieldPosition fieldPosition27 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer28 = properFractionFormat17.format((java.lang.Object)properFractionFormat25, stringBuffer26, fieldPosition27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.lang.Object obj39 = fractionFormat38.clone();
    java.lang.Object obj41 = fractionFormat38.parseObject("10 / 1");
    java.text.ParsePosition parsePosition43 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj44 = fractionFormat38.parseObject("", parsePosition43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj41);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    java.lang.Throwable[] throwable_array3 = mathException2.getSuppressed();
    java.lang.Throwable[] throwable_array4 = mathException2.getSuppressed();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat3.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat10);
    properFractionFormat6.setNumeratorFormat(numberFormat8);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2, numberFormat5, numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    properFractionFormat0.setDenominatorFormat(numberFormat5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat0.parse("org.apache.commons.math.MathException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.Fraction fraction18 = properFractionFormat16.parse("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat20, numberFormat23, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat33.setWholeFormat(numberFormat38);
    properFractionFormat32.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat59);
    properFractionFormat55.setNumeratorFormat(numberFormat57);
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    fractionFormat62.setDenominatorFormat(numberFormat64);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat71 = new org.apache.commons.math.fraction.FractionFormat(numberFormat68, numberFormat70);
    properFractionFormat66.setNumeratorFormat(numberFormat68);
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat68);
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat68);
    properFractionFormat48.setWholeFormat(numberFormat68);
    properFractionFormat47.setNumeratorFormat(numberFormat68);
    properFractionFormat46.setWholeFormat(numberFormat68);
    java.text.NumberFormat numberFormat78 = properFractionFormat46.getNumeratorFormat();
    properFractionFormat16.setNumeratorFormat(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("10", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException8);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat8, numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat8);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    java.lang.Object obj26 = properFractionFormat24.parseObject("10");
    java.text.AttributedCharacterIterator attributedCharacterIterator27 = properFractionFormat15.formatToCharacterIterator(obj26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator27);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction6 = fractionFormat4.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    properFractionFormat13.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    fractionFormat32.setDenominatorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat38, numberFormat41, numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat51.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat56, numberFormat58);
    properFractionFormat54.setNumeratorFormat(numberFormat56);
    properFractionFormat51.setWholeFormat(numberFormat56);
    properFractionFormat50.setWholeFormat(numberFormat56);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat56);
    fractionFormat36.setNumeratorFormat(numberFormat56);
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat56);
    properFractionFormat23.setDenominatorFormat(numberFormat56);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat56);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator68 = numberFormat12.formatToCharacterIterator((java.lang.Object)numberFormat56);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.ParsePosition parsePosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction16 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getProperInstance();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    fractionFormat8.setDenominatorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat17, numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    properFractionFormat27.setWholeFormat(numberFormat32);
    properFractionFormat26.setWholeFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32);
    fractionFormat12.setNumeratorFormat(numberFormat32);
    fractionFormat0.setDenominatorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    properFractionFormat42.setWholeFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat53.getWholeFormat();
    properFractionFormat42.setNumeratorFormat(numberFormat55);
    java.text.NumberFormat numberFormat57 = properFractionFormat42.getWholeFormat();
    fractionFormat0.setDenominatorFormat(numberFormat57);
    java.text.NumberFormat numberFormat59 = fractionFormat0.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    java.text.NumberFormat numberFormat26 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat26);
    java.text.NumberFormat numberFormat28 = fractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32, numberFormat35, numberFormat38);
    java.text.NumberFormat numberFormat45 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35);
    properFractionFormat29.setWholeFormat(numberFormat35);
    java.text.NumberFormat numberFormat49 = properFractionFormat29.getWholeFormat();
    properFractionFormat11.setDenominatorFormat(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    properFractionFormat26.setWholeFormat(numberFormat31);
    properFractionFormat25.setWholeFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat31);
    fractionFormat11.setNumeratorFormat(numberFormat31);
    java.text.ParsePosition parsePosition41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction42 = fractionFormat11.parse("", parsePosition41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    properFractionFormat15.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat19);
    java.text.NumberFormat numberFormat27 = fractionFormat26.getDenominatorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException6);
    java.lang.String str8 = convergenceException7.toString();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException11);
    java.lang.Throwable[] throwable_array13 = convergenceException11.getSuppressed();
    convergenceException7.addSuppressed((java.lang.Throwable)convergenceException11);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException11);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    convergenceException15.addSuppressed((java.lang.Throwable)convergenceException17);
    convergenceException1.addSuppressed((java.lang.Throwable)convergenceException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str8.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    java.text.NumberFormat numberFormat35 = fractionFormat34.getNumeratorFormat();
    properFractionFormat26.setDenominatorFormat(numberFormat35);
    java.text.ParsePosition parsePosition38 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction39 = properFractionFormat26.parse("org.apache.commons.math.ConvergenceException", parsePosition38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.text.AttributedCharacterIterator attributedCharacterIterator40 = fractionFormat38.formatToCharacterIterator((java.lang.Object)(byte)1);
    java.text.NumberFormat numberFormat41 = fractionFormat38.getNumeratorFormat();
    java.text.ParsePosition parsePosition43 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction44 = fractionFormat38.parse("org.apache.commons.math.MathException: hi!", parsePosition43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math.fraction.FractionFormat fractionFormat0 = org.apache.commons.math.fraction.FractionFormat.getImproperInstance();
    java.lang.Object obj1 = null;
    java.lang.StringBuffer stringBuffer2 = null;
    java.text.FieldPosition fieldPosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fractionFormat0.format(obj1, stringBuffer2, fieldPosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionFormat0);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat20.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25, numberFormat27);
    properFractionFormat23.setNumeratorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19, numberFormat22, numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat32.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat37, numberFormat39);
    properFractionFormat35.setNumeratorFormat(numberFormat37);
    properFractionFormat32.setWholeFormat(numberFormat37);
    properFractionFormat31.setWholeFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat46.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51, numberFormat53);
    properFractionFormat49.setNumeratorFormat(numberFormat51);
    properFractionFormat46.setWholeFormat(numberFormat51);
    java.lang.Object obj57 = properFractionFormat46.clone();
    java.text.NumberFormat numberFormat58 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat59.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator63 = numberFormat61.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat46.setDenominatorFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat65.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat72);
    properFractionFormat68.setNumeratorFormat(numberFormat70);
    properFractionFormat65.setWholeFormat(numberFormat70);
    java.lang.Object obj76 = properFractionFormat65.clone();
    java.text.NumberFormat numberFormat77 = properFractionFormat65.getNumeratorFormat();
    java.text.NumberFormat numberFormat78 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat80 = properFractionFormat79.getNumeratorFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat79.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat82 = new org.apache.commons.math.fraction.FractionFormat(numberFormat81);
    org.apache.commons.math.fraction.FractionFormat fractionFormat83 = new org.apache.commons.math.fraction.FractionFormat(numberFormat78, numberFormat81);
    properFractionFormat46.setDenominatorFormat(numberFormat81);
    properFractionFormat45.setDenominatorFormat(numberFormat81);
    org.apache.commons.math.fraction.FractionFormat fractionFormat86 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15, numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException2);
    java.lang.String str4 = mathException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str4.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException");

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    properFractionFormat10.setNumeratorFormat(numberFormat12);
    properFractionFormat7.setWholeFormat(numberFormat12);
    java.lang.Object obj18 = properFractionFormat7.clone();
    java.text.NumberFormat numberFormat19 = properFractionFormat7.getNumeratorFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat23);
    java.lang.StringBuffer stringBuffer26 = null;
    java.text.FieldPosition fieldPosition27 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer28 = fractionFormat4.format((java.lang.Object)fractionFormat25, stringBuffer26, fieldPosition27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50);
    java.text.NumberFormat numberFormat59 = fractionFormat58.getNumeratorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = fractionFormat14.getNumeratorFormat();
    properFractionFormat8.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat21, numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    java.text.NumberFormat numberFormat35 = fractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    fractionFormat34.setNumeratorFormat(numberFormat37);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46, numberFormat48);
    properFractionFormat44.setNumeratorFormat(numberFormat46);
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat40, numberFormat43, numberFormat46);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55, numberFormat57);
    properFractionFormat53.setNumeratorFormat(numberFormat55);
    properFractionFormat52.setWholeFormat(numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat37, numberFormat55);
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    java.text.NumberFormat numberFormat63 = fractionFormat62.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator64 = numberFormat15.formatToCharacterIterator((java.lang.Object)numberFormat63);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    java.text.NumberFormat numberFormat7 = properFractionFormat0.getDenominatorFormat();
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction10 = properFractionFormat0.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat12.formatToCharacterIterator((java.lang.Object)"");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    java.text.NumberFormat numberFormat32 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj35 = numberFormat32.parseObject("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    fractionFormat27.setDenominatorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29);
    java.lang.StringBuffer stringBuffer33 = null;
    java.text.FieldPosition fieldPosition34 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer35 = properFractionFormat17.format((java.lang.Object)numberFormat29, stringBuffer33, fieldPosition34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator10 = numberFormat8.formatToCharacterIterator((java.lang.Object)"org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    java.lang.Object obj46 = properFractionFormat44.clone();
    java.lang.Object obj47 = properFractionFormat44.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj49 = properFractionFormat44.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj47);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.Fraction fraction33 = properFractionFormat31.parse("10");
    java.lang.String str34 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction33);
    java.lang.String str35 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction33);
    java.lang.String str36 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction33);
    java.lang.StringBuffer stringBuffer37 = null;
    java.text.FieldPosition fieldPosition38 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer39 = properFractionFormat0.format(fraction33, stringBuffer37, fieldPosition38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "10 / 1"+ "'", str34.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "10 / 1"+ "'", str35.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "10 / 1"+ "'", str36.equals("10 / 1"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException2);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException5);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException9);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    fractionFormat9.setDenominatorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat16.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat18, numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    properFractionFormat28.setWholeFormat(numberFormat33);
    properFractionFormat27.setWholeFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat33);
    fractionFormat13.setNumeratorFormat(numberFormat33);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    properFractionFormat0.setDenominatorFormat(numberFormat33);
    java.text.ParsePosition parsePosition45 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction46 = properFractionFormat0.parse("", parsePosition45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    java.text.ParsePosition parsePosition21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction22 = fractionFormat19.parse("org.apache.commons.math.MathException: hi!", parsePosition21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    properFractionFormat9.setWholeFormat(numberFormat14);
    java.lang.Object obj20 = properFractionFormat9.clone();
    java.text.NumberFormat numberFormat21 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat9.getDenominatorFormat();
    properFractionFormat7.setWholeFormat(numberFormat22);
    java.text.ParsePosition parsePosition25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction26 = properFractionFormat7.parse("org.apache.commons.math.ConvergenceException: ", parsePosition25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.ParsePosition parsePosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction12 = properFractionFormat8.parse("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", parsePosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    properFractionFormat0.setWholeFormat(numberFormat19);
    java.text.ParsePosition parsePosition34 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj35 = properFractionFormat0.parseObject("org.apache.commons.math.ConvergenceException", parsePosition34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat24 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat25 = fractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = fractionFormat22.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat29.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat31, numberFormat34);
    java.text.NumberFormat numberFormat41 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    java.text.NumberFormat numberFormat60 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    properFractionFormat44.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat26, numberFormat50);
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat68.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat76 = new org.apache.commons.math.fraction.FractionFormat(numberFormat73, numberFormat75);
    properFractionFormat71.setNumeratorFormat(numberFormat73);
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat73);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat67, numberFormat70, numberFormat73);
    java.text.NumberFormat numberFormat80 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat81 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat70);
    org.apache.commons.math.fraction.Fraction fraction84 = properFractionFormat82.parse("10");
    java.lang.StringBuffer stringBuffer85 = null;
    java.text.FieldPosition fieldPosition86 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer87 = properFractionFormat64.format(fraction84, stringBuffer85, fieldPosition86);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction84);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable4);
    mathException3.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException3);
    java.lang.String str8 = mathException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str8.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    fractionFormat43.setDenominatorFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat49);
    properFractionFormat29.setWholeFormat(numberFormat49);
    properFractionFormat28.setNumeratorFormat(numberFormat49);
    properFractionFormat27.setWholeFormat(numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat61.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat69 = new org.apache.commons.math.fraction.FractionFormat(numberFormat66, numberFormat68);
    properFractionFormat64.setNumeratorFormat(numberFormat66);
    org.apache.commons.math.fraction.FractionFormat fractionFormat71 = new org.apache.commons.math.fraction.FractionFormat(numberFormat66);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat60, numberFormat63, numberFormat66);
    java.text.NumberFormat numberFormat73 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat73);
    java.text.NumberFormat numberFormat75 = fractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat75);
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat79 = properFractionFormat78.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    java.text.NumberFormat numberFormat82 = properFractionFormat80.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat85 = properFractionFormat84.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat87 = properFractionFormat86.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat88 = new org.apache.commons.math.fraction.FractionFormat(numberFormat85, numberFormat87);
    properFractionFormat83.setNumeratorFormat(numberFormat85);
    org.apache.commons.math.fraction.FractionFormat fractionFormat90 = new org.apache.commons.math.fraction.FractionFormat(numberFormat85);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat91 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat79, numberFormat82, numberFormat85);
    java.text.NumberFormat numberFormat92 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat93 = new org.apache.commons.math.fraction.FractionFormat(numberFormat82, numberFormat92);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat94 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat82);
    properFractionFormat76.setWholeFormat(numberFormat82);
    java.text.NumberFormat numberFormat96 = properFractionFormat76.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str97 = numberFormat49.format((java.lang.Object)numberFormat96);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat96);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    java.lang.String str10 = numberFormat8.format((java.lang.Object)10L);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException13);
    java.lang.Throwable[] throwable_array15 = convergenceException13.getSuppressed();
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", throwable17);
    convergenceException13.addSuppressed((java.lang.Throwable)mathException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException18);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException18);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = numberFormat8.format((java.lang.Object)convergenceException21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "10"+ "'", str10.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj13 = properFractionFormat0.parseObject("org.apache.commons.math.ConvergenceException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    fractionFormat23.setDenominatorFormat(numberFormat25);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat29, numberFormat32, numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    properFractionFormat41.setWholeFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat25, numberFormat44);
    java.text.ParsePosition parsePosition52 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction53 = properFractionFormat50.parse("org.apache.commons.math.MathException: org.apache.commons.math.MathException: hi!", parsePosition52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat24 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat25 = fractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = fractionFormat22.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat29.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat31, numberFormat34);
    java.text.NumberFormat numberFormat41 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    java.text.NumberFormat numberFormat60 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    properFractionFormat44.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat26, numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat65.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat72);
    properFractionFormat68.setNumeratorFormat(numberFormat70);
    properFractionFormat65.setWholeFormat(numberFormat70);
    java.lang.Object obj76 = properFractionFormat65.clone();
    java.text.NumberFormat numberFormat77 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat85 = properFractionFormat84.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat86 = new org.apache.commons.math.fraction.FractionFormat(numberFormat83, numberFormat85);
    properFractionFormat81.setNumeratorFormat(numberFormat83);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat83);
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getWholeFormat();
    java.text.NumberFormat numberFormat90 = properFractionFormat88.getNumeratorFormat();
    properFractionFormat80.setWholeFormat(numberFormat90);
    java.lang.StringBuffer stringBuffer92 = null;
    java.text.FieldPosition fieldPosition93 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer94 = properFractionFormat64.format((java.lang.Object)numberFormat90, stringBuffer92, fieldPosition93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat90);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    fractionFormat52.setDenominatorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat57 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat54, numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    properFractionFormat59.setNumeratorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    fractionFormat66.setDenominatorFormat(numberFormat68);
    properFractionFormat58.setWholeFormat(numberFormat68);
    java.text.NumberFormat numberFormat71 = properFractionFormat58.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    java.text.NumberFormat numberFormat76 = properFractionFormat74.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat79 = properFractionFormat78.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat81 = properFractionFormat80.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat82 = new org.apache.commons.math.fraction.FractionFormat(numberFormat79, numberFormat81);
    properFractionFormat77.setNumeratorFormat(numberFormat79);
    org.apache.commons.math.fraction.FractionFormat fractionFormat84 = new org.apache.commons.math.fraction.FractionFormat(numberFormat79);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat73, numberFormat76, numberFormat79);
    java.text.NumberFormat numberFormat86 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat87 = new org.apache.commons.math.fraction.FractionFormat(numberFormat76, numberFormat86);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat76);
    org.apache.commons.math.fraction.Fraction fraction90 = properFractionFormat88.parse("10");
    java.lang.String str91 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction90);
    java.lang.String str92 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction90);
    java.lang.StringBuffer stringBuffer93 = null;
    java.text.FieldPosition fieldPosition94 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer95 = properFractionFormat58.format(fraction90, stringBuffer93, fieldPosition94);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str91 + "' != '" + "10 / 1"+ "'", str91.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str92 + "' != '" + "10 / 1"+ "'", str92.equals("10 / 1"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    properFractionFormat0.setDenominatorFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat62, numberFormat64);
    properFractionFormat60.setNumeratorFormat(numberFormat62);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat62);
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat67.getNumeratorFormat();
    properFractionFormat58.setNumeratorFormat(numberFormat69);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction72 = properFractionFormat58.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    properFractionFormat15.setWholeFormat(numberFormat20);
    java.lang.Object obj26 = properFractionFormat15.clone();
    java.text.NumberFormat numberFormat27 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat27);
    properFractionFormat0.setWholeFormat(numberFormat27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction32 = properFractionFormat0.parse("org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException3);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    fractionFormat15.setDenominatorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat21);
    properFractionFormat1.setWholeFormat(numberFormat21);
    properFractionFormat0.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat21);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException33);
    java.lang.Throwable[] throwable_array35 = convergenceException33.getSuppressed();
    java.lang.StringBuffer stringBuffer36 = null;
    java.text.FieldPosition fieldPosition37 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer38 = properFractionFormat30.format((java.lang.Object)throwable_array35, stringBuffer36, fieldPosition37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat3 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat4.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    properFractionFormat7.setNumeratorFormat(numberFormat9);
    properFractionFormat4.setWholeFormat(numberFormat9);
    java.lang.Object obj15 = properFractionFormat4.clone();
    java.text.NumberFormat numberFormat16 = properFractionFormat4.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat4.getNumeratorFormat();
    fractionFormat3.setNumeratorFormat(numberFormat17);
    java.text.NumberFormat numberFormat19 = fractionFormat3.getNumeratorFormat();
    java.text.ParsePosition parsePosition21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction22 = fractionFormat3.parse("org.apache.commons.math.ConvergenceException: hi!", parsePosition21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction20 = fractionFormat17.parse("10 / 1");
    java.lang.String str21 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction20);
    java.lang.StringBuffer stringBuffer22 = null;
    java.text.FieldPosition fieldPosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer24 = properFractionFormat0.format(fraction20, stringBuffer22, fieldPosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "10 / 1"+ "'", str21.equals("10 / 1"));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat0, numberFormat3);
    java.text.ParsePosition parsePosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction12 = fractionFormat9.parse("org.apache.commons.math.ConvergenceException: hi!", parsePosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ");
    java.lang.Throwable[] throwable_array2 = mathException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    properFractionFormat24.setNumeratorFormat(numberFormat26);
    properFractionFormat21.setWholeFormat(numberFormat26);
    java.lang.Object obj32 = properFractionFormat21.clone();
    java.text.NumberFormat numberFormat33 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat21.getNumeratorFormat();
    fractionFormat20.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat15, numberFormat34);
    properFractionFormat7.setNumeratorFormat(numberFormat15);
    java.text.NumberFormat numberFormat39 = properFractionFormat7.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat39);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat41.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat46, numberFormat48);
    properFractionFormat44.setNumeratorFormat(numberFormat46);
    properFractionFormat41.setWholeFormat(numberFormat46);
    java.lang.Object obj52 = properFractionFormat41.clone();
    java.text.NumberFormat numberFormat53 = properFractionFormat41.getNumeratorFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat41.getDenominatorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str55 = properFractionFormat40.format((java.lang.Object)numberFormat54);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat12.getWholeFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat12.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat21.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat30, numberFormat32);
    properFractionFormat28.setNumeratorFormat(numberFormat30);
    properFractionFormat25.setWholeFormat(numberFormat30);
    java.lang.Object obj36 = properFractionFormat25.clone();
    java.text.NumberFormat numberFormat37 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat25.getNumeratorFormat();
    fractionFormat24.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat40 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat19, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat42.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    properFractionFormat42.setWholeFormat(numberFormat47);
    java.lang.Object obj53 = properFractionFormat42.clone();
    java.text.NumberFormat numberFormat54 = properFractionFormat42.getNumeratorFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat38, numberFormat55);
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException");

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    java.lang.Object obj46 = properFractionFormat44.clone();
    java.text.NumberFormat numberFormat47 = properFractionFormat44.getNumeratorFormat();
    java.lang.Object obj48 = numberFormat47.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj48);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    fractionFormat15.setDenominatorFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat21);
    properFractionFormat1.setWholeFormat(numberFormat21);
    properFractionFormat0.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    java.lang.Object obj32 = fractionFormat30.parseObject("10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj32);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getWholeFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getNumeratorFormat();
    properFractionFormat15.setWholeFormat(numberFormat25);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat29.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat31, numberFormat34);
    java.text.NumberFormat numberFormat41 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    java.text.NumberFormat numberFormat60 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    properFractionFormat44.setWholeFormat(numberFormat50);
    java.text.NumberFormat numberFormat64 = properFractionFormat44.getWholeFormat();
    java.lang.StringBuffer stringBuffer65 = null;
    java.text.FieldPosition fieldPosition66 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer67 = properFractionFormat15.format((java.lang.Object)properFractionFormat44, stringBuffer65, fieldPosition66);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = fractionFormat14.getNumeratorFormat();
    properFractionFormat8.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException20);
    java.lang.Throwable[] throwable_array22 = convergenceException20.getSuppressed();
    java.lang.Throwable[] throwable_array23 = convergenceException20.getSuppressed();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException20);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException20);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException20);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException20);
    java.lang.StringBuffer stringBuffer28 = null;
    java.text.FieldPosition fieldPosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer30 = properFractionFormat8.format((java.lang.Object)convergenceException20, stringBuffer28, fieldPosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException", (java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
    java.lang.String str2 = convergenceException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "+ "'", str2.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat12.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    properFractionFormat12.setWholeFormat(numberFormat17);
    java.lang.Object obj23 = properFractionFormat12.clone();
    java.text.NumberFormat numberFormat24 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator29 = numberFormat27.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat12.setDenominatorFormat(numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat35);
    properFractionFormat31.setNumeratorFormat(numberFormat33);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    fractionFormat38.setDenominatorFormat(numberFormat40);
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat40);
    properFractionFormat12.setWholeFormat(numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat51 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48, numberFormat50);
    properFractionFormat46.setNumeratorFormat(numberFormat48);
    properFractionFormat44.setNumeratorFormat(numberFormat48);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    fractionFormat63.setDenominatorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat72, numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat82.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat86 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat87 = properFractionFormat86.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat88 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat89 = properFractionFormat88.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat90 = new org.apache.commons.math.fraction.FractionFormat(numberFormat87, numberFormat89);
    properFractionFormat85.setNumeratorFormat(numberFormat87);
    properFractionFormat82.setWholeFormat(numberFormat87);
    properFractionFormat81.setWholeFormat(numberFormat87);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat94 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat87);
    fractionFormat67.setNumeratorFormat(numberFormat87);
    org.apache.commons.math.fraction.FractionFormat fractionFormat96 = new org.apache.commons.math.fraction.FractionFormat(numberFormat87);
    properFractionFormat54.setDenominatorFormat(numberFormat87);
    org.apache.commons.math.fraction.FractionFormat fractionFormat98 = new org.apache.commons.math.fraction.FractionFormat(numberFormat48, numberFormat87);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat99 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat40, numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.lang.Object obj12 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = fractionFormat15.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.ParsePosition parsePosition11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj12 = properFractionFormat8.parseObject("10 / 1", parsePosition11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat7 = fractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat9, numberFormat11);
    java.text.NumberFormat numberFormat13 = fractionFormat12.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction15 = fractionFormat12.parse("10 / 1");
    java.lang.StringBuffer stringBuffer16 = null;
    java.text.FieldPosition fieldPosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer18 = fractionFormat4.format(fraction15, stringBuffer16, fieldPosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat16.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15, numberFormat18, numberFormat21);
    java.text.NumberFormat numberFormat28 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    org.apache.commons.math.fraction.Fraction fraction32 = properFractionFormat30.parse("10");
    java.lang.String str33 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.String str34 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.String str35 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.String str36 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.String str37 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.String str38 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction32);
    java.lang.StringBuffer stringBuffer39 = null;
    java.text.FieldPosition fieldPosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer41 = properFractionFormat12.format(fraction32, stringBuffer39, fieldPosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "10 / 1"+ "'", str33.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "10 / 1"+ "'", str34.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "10 / 1"+ "'", str35.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "10 / 1"+ "'", str36.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "10 / 1"+ "'", str37.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "10 / 1"+ "'", str38.equals("10 / 1"));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException3);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat15);
    java.lang.Object obj20 = numberFormat15.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj20);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat7 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat8 = properFractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat8, numberFormat11, numberFormat14);
    java.text.NumberFormat numberFormat21 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11);
    org.apache.commons.math.fraction.Fraction fraction25 = properFractionFormat23.parse("10");
    java.lang.String str26 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction25);
    java.lang.StringBuffer stringBuffer27 = null;
    java.text.FieldPosition fieldPosition28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer29 = properFractionFormat0.format(fraction25, stringBuffer27, fieldPosition28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "10 / 1"+ "'", str26.equals("10 / 1"));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1);
    java.lang.Object obj46 = fractionFormat45.clone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction48 = fractionFormat45.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj46);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException5);
    java.lang.String str7 = convergenceException6.toString();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException10);
    java.lang.Throwable[] throwable_array12 = convergenceException10.getSuppressed();
    convergenceException6.addSuppressed((java.lang.Throwable)convergenceException10);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException10);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("10 / 1", (java.lang.Throwable)convergenceException10);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str7.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException17);
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException22);
    convergenceException18.addSuppressed((java.lang.Throwable)convergenceException22);
    java.lang.Throwable[] throwable_array25 = convergenceException22.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException22);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str27 = properFractionFormat0.format((java.lang.Object)convergenceException26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat12.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat20 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat17);
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat14, numberFormat17);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    java.text.NumberFormat numberFormat33 = fractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    java.text.NumberFormat numberFormat38 = fractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat38);
    properFractionFormat24.setWholeFormat(numberFormat33);
    properFractionFormat0.setNumeratorFormat(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.String str6 = convergenceException5.toString();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array11 = convergenceException9.getSuppressed();
    convergenceException5.addSuppressed((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array14 = convergenceException9.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException"+ "'", str6.equals("org.apache.commons.math.ConvergenceException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("10", throwable2);
    java.lang.Throwable[] throwable_array4 = convergenceException3.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException9);
    convergenceException5.addSuppressed((java.lang.Throwable)mathException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    fractionFormat7.setDenominatorFormat(numberFormat9);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str17 = numberFormat9.format((java.lang.Object)fractionFormat15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32, numberFormat35, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat45.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    java.text.NumberFormat numberFormat49 = fractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    fractionFormat48.setNumeratorFormat(numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat55.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat62);
    properFractionFormat58.setNumeratorFormat(numberFormat60);
    org.apache.commons.math.fraction.FractionFormat fractionFormat65 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat54, numberFormat57, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat72 = new org.apache.commons.math.fraction.FractionFormat(numberFormat69, numberFormat71);
    properFractionFormat67.setNumeratorFormat(numberFormat69);
    properFractionFormat66.setWholeFormat(numberFormat69);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat75 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32, numberFormat51, numberFormat69);
    properFractionFormat19.setDenominatorFormat(numberFormat69);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69);
    java.text.NumberFormat numberFormat78 = properFractionFormat77.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat78);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat24 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat25 = fractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = fractionFormat22.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat29.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat31, numberFormat34);
    java.text.NumberFormat numberFormat41 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    java.text.NumberFormat numberFormat60 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    properFractionFormat44.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat26, numberFormat50);
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat0.getDenominatorFormat();
    java.text.ParsePosition parsePosition19 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj20 = properFractionFormat0.parseObject("org.apache.commons.math.MathException", parsePosition19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat17 = fractionFormat16.getNumeratorFormat();
    java.lang.String str19 = numberFormat17.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator20 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    fractionFormat22.setDenominatorFormat(numberFormat24);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj30 = fractionFormat22.parseObject("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "10"+ "'", str19.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    java.text.NumberFormat numberFormat32 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    java.lang.Object obj34 = numberFormat32.clone();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj34);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat13, numberFormat16);
    java.text.NumberFormat numberFormat23 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13);
    org.apache.commons.math.fraction.Fraction fraction27 = properFractionFormat25.parse("10");
    java.lang.String str28 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str29 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str30 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str31 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str32 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str33 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.String str34 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction27);
    java.lang.StringBuffer stringBuffer35 = null;
    java.text.FieldPosition fieldPosition36 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer37 = fractionFormat7.format(fraction27, stringBuffer35, fieldPosition36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "10 / 1"+ "'", str28.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "10 / 1"+ "'", str29.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "10 / 1"+ "'", str30.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "10 / 1"+ "'", str31.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "10 / 1"+ "'", str32.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "10 / 1"+ "'", str33.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "10 / 1"+ "'", str34.equals("10 / 1"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException3);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    java.text.NumberFormat numberFormat17 = fractionFormat16.getNumeratorFormat();
    java.lang.String str19 = numberFormat17.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator20 = properFractionFormat8.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat21 = properFractionFormat8.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction23 = properFractionFormat8.parse("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat25, numberFormat28, numberFormat31);
    java.text.NumberFormat numberFormat38 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28);
    org.apache.commons.math.fraction.Fraction fraction42 = properFractionFormat40.parse("10");
    java.lang.String str43 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction42);
    java.lang.String str44 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction42);
    java.lang.String str45 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction42);
    java.lang.StringBuffer stringBuffer46 = null;
    java.text.FieldPosition fieldPosition47 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer48 = properFractionFormat8.format(fraction42, stringBuffer46, fieldPosition47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "10"+ "'", str19.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "10 / 1"+ "'", str43.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "10 / 1"+ "'", str44.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "10 / 1"+ "'", str45.equals("10 / 1"));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    properFractionFormat0.setWholeFormat(numberFormat4);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat29, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    fractionFormat42.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat49.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54, numberFormat56);
    properFractionFormat52.setNumeratorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat48, numberFormat51, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    properFractionFormat60.setWholeFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat45, numberFormat63);
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getWholeFormat();
    properFractionFormat24.setDenominatorFormat(numberFormat70);
    properFractionFormat12.setDenominatorFormat(numberFormat70);
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17);
    java.text.ParsePosition parsePosition20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction21 = fractionFormat18.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    properFractionFormat0.setWholeFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat15);
    properFractionFormat11.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.FractionFormat fractionFormat18 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    java.text.NumberFormat numberFormat28 = fractionFormat27.getNumeratorFormat();
    java.lang.String str30 = numberFormat28.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator31 = properFractionFormat19.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction34 = properFractionFormat19.parse("10");
    java.lang.StringBuffer stringBuffer35 = null;
    java.text.FieldPosition fieldPosition36 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer37 = properFractionFormat0.format(fraction34, stringBuffer35, fieldPosition36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "10"+ "'", str30.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14, numberFormat16);
    properFractionFormat12.setNumeratorFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    fractionFormat19.setDenominatorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat33);
    properFractionFormat29.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat25, numberFormat28, numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat38.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat45);
    properFractionFormat41.setNumeratorFormat(numberFormat43);
    properFractionFormat38.setWholeFormat(numberFormat43);
    properFractionFormat37.setWholeFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    fractionFormat23.setNumeratorFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    properFractionFormat10.setDenominatorFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat8 = fractionFormat7.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat19 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16, numberFormat18);
    properFractionFormat14.setNumeratorFormat(numberFormat16);
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat13, numberFormat16);
    java.text.NumberFormat numberFormat23 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13, numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13);
    org.apache.commons.math.fraction.Fraction fraction27 = properFractionFormat25.parse("10");
    java.lang.StringBuffer stringBuffer28 = null;
    java.text.FieldPosition fieldPosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer30 = fractionFormat7.format(fraction27, stringBuffer28, fieldPosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.lang.Object obj10 = properFractionFormat8.parseObject("10");
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = fractionFormat14.getNumeratorFormat();
    properFractionFormat8.setNumeratorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat28.getWholeFormat();
    properFractionFormat17.setNumeratorFormat(numberFormat30);
    java.text.NumberFormat numberFormat32 = properFractionFormat17.getWholeFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat39 = properFractionFormat38.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat39, numberFormat41);
    properFractionFormat37.setNumeratorFormat(numberFormat39);
    properFractionFormat34.setWholeFormat(numberFormat39);
    java.lang.Object obj45 = properFractionFormat34.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat60.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat62);
    java.text.NumberFormat numberFormat64 = fractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    fractionFormat63.setNumeratorFormat(numberFormat66);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat68 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat68.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat70.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat74 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat75 = properFractionFormat74.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat76 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat77 = properFractionFormat76.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat78 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75, numberFormat77);
    properFractionFormat73.setNumeratorFormat(numberFormat75);
    org.apache.commons.math.fraction.FractionFormat fractionFormat80 = new org.apache.commons.math.fraction.FractionFormat(numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat69, numberFormat72, numberFormat75);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat83.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat87 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84, numberFormat86);
    properFractionFormat82.setNumeratorFormat(numberFormat84);
    properFractionFormat81.setWholeFormat(numberFormat84);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat90 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat66, numberFormat84);
    properFractionFormat34.setDenominatorFormat(numberFormat84);
    properFractionFormat17.setDenominatorFormat(numberFormat84);
    properFractionFormat8.setDenominatorFormat(numberFormat84);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj95 = numberFormat84.parseObject("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat2);
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat8.getWholeFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat8.getDenominatorFormat();
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction14 = properFractionFormat8.parse("org.apache.commons.math.ConvergenceException", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat17.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    properFractionFormat30.setWholeFormat(numberFormat35);
    java.lang.Object obj41 = properFractionFormat30.clone();
    java.text.NumberFormat numberFormat42 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat30.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat20, numberFormat24, numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    properFractionFormat47.setWholeFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    properFractionFormat47.setNumeratorFormat(numberFormat60);
    java.text.NumberFormat numberFormat62 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat43, numberFormat62);
    properFractionFormat0.setDenominatorFormat(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26, numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction32 = fractionFormat29.parse("10 / 1");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str33 = numberFormat20.format((java.lang.Object)fractionFormat29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    properFractionFormat0.setWholeFormat(numberFormat4);
    org.apache.commons.math.fraction.FractionFormat fractionFormat11 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    properFractionFormat0.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat38);
    java.text.NumberFormat numberFormat44 = properFractionFormat34.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat47.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat54);
    properFractionFormat50.setNumeratorFormat(numberFormat52);
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat46, numberFormat49, numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat59.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat64, numberFormat66);
    properFractionFormat62.setNumeratorFormat(numberFormat64);
    properFractionFormat59.setWholeFormat(numberFormat64);
    properFractionFormat58.setWholeFormat(numberFormat64);
    properFractionFormat34.setWholeFormat(numberFormat64);
    java.lang.StringBuffer stringBuffer72 = null;
    java.text.FieldPosition fieldPosition73 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer74 = fractionFormat33.format((java.lang.Object)properFractionFormat34, stringBuffer72, fieldPosition73);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException8);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getWholeFormat();
    properFractionFormat11.setDenominatorFormat(numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat61.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat60, numberFormat62);
    java.text.NumberFormat numberFormat64 = fractionFormat63.getDenominatorFormat();
    org.apache.commons.math.fraction.Fraction fraction66 = fractionFormat63.parse("10 / 1");
    java.lang.String str67 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction66);
    java.lang.StringBuffer stringBuffer68 = null;
    java.text.FieldPosition fieldPosition69 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer70 = properFractionFormat11.format(fraction66, stringBuffer68, fieldPosition69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "10 / 1"+ "'", str67.equals("10 / 1"));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat17.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat19, numberFormat22);
    java.text.NumberFormat numberFormat29 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat19);
    properFractionFormat0.setWholeFormat(numberFormat19);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("10");
    java.lang.Throwable[] throwable_array35 = mathException34.getSuppressed();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException34);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str37 = numberFormat19.format((java.lang.Object)mathException34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getWholeFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getNumeratorFormat();
    properFractionFormat15.setWholeFormat(numberFormat25);
    java.text.NumberFormat numberFormat27 = properFractionFormat15.getDenominatorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat15.getNumeratorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47, numberFormat49);
    properFractionFormat45.setNumeratorFormat(numberFormat47);
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    fractionFormat52.setDenominatorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    java.text.NumberFormat numberFormat57 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat54, numberFormat57);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat60.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat64 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61, numberFormat63);
    properFractionFormat59.setNumeratorFormat(numberFormat61);
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat61);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    fractionFormat66.setDenominatorFormat(numberFormat68);
    properFractionFormat58.setWholeFormat(numberFormat68);
    java.text.NumberFormat numberFormat71 = properFractionFormat58.getDenominatorFormat();
    java.text.ParsePosition parsePosition73 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj74 = properFractionFormat58.parseObject("org.apache.commons.math.MathException: ", parsePosition73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(numberFormat71);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18);
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getWholeFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat23.getNumeratorFormat();
    properFractionFormat15.setWholeFormat(numberFormat25);
    java.text.NumberFormat numberFormat27 = properFractionFormat15.getDenominatorFormat();
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj30 = properFractionFormat15.parseObject("10 / 1", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat4 = new org.apache.commons.math.fraction.FractionFormat(numberFormat1, numberFormat3);
    java.text.NumberFormat numberFormat5 = fractionFormat4.getDenominatorFormat();
    java.text.NumberFormat numberFormat6 = fractionFormat4.getDenominatorFormat();
    java.lang.Object obj7 = fractionFormat4.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat13 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10, numberFormat12);
    properFractionFormat8.setNumeratorFormat(numberFormat10);
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat10);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat16.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat18.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23, numberFormat25);
    properFractionFormat21.setNumeratorFormat(numberFormat23);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat17, numberFormat20, numberFormat23);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat30.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35, numberFormat37);
    properFractionFormat33.setNumeratorFormat(numberFormat35);
    properFractionFormat30.setWholeFormat(numberFormat35);
    properFractionFormat29.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat45 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat46 = properFractionFormat45.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44, numberFormat46);
    properFractionFormat42.setNumeratorFormat(numberFormat44);
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat44);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    fractionFormat49.setDenominatorFormat(numberFormat51);
    properFractionFormat29.setWholeFormat(numberFormat51);
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57, numberFormat59);
    properFractionFormat55.setNumeratorFormat(numberFormat57);
    org.apache.commons.math.fraction.FractionFormat fractionFormat62 = new org.apache.commons.math.fraction.FractionFormat(numberFormat57);
    java.text.NumberFormat numberFormat63 = fractionFormat62.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat66 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat67 = properFractionFormat66.getNumeratorFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat66.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat70.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat72 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat73 = properFractionFormat72.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat71, numberFormat73);
    properFractionFormat69.setNumeratorFormat(numberFormat71);
    org.apache.commons.math.fraction.FractionFormat fractionFormat76 = new org.apache.commons.math.fraction.FractionFormat(numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat77 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat65, numberFormat68, numberFormat71);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat51, numberFormat63, numberFormat65);
    java.text.NumberFormat numberFormat79 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat10, numberFormat51, numberFormat79);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat83 = properFractionFormat82.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat84 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat85 = properFractionFormat84.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat86 = new org.apache.commons.math.fraction.FractionFormat(numberFormat83, numberFormat85);
    properFractionFormat81.setNumeratorFormat(numberFormat83);
    org.apache.commons.math.fraction.FractionFormat fractionFormat88 = new org.apache.commons.math.fraction.FractionFormat(numberFormat83);
    java.text.NumberFormat numberFormat89 = fractionFormat88.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat90 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51, numberFormat89);
    java.lang.StringBuffer stringBuffer91 = null;
    java.text.FieldPosition fieldPosition92 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer93 = fractionFormat4.format((java.lang.Object)numberFormat89, stringBuffer91, fieldPosition92);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat89);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat50.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55, numberFormat57);
    properFractionFormat53.setNumeratorFormat(numberFormat55);
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat49, numberFormat52, numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat47, numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35);
    java.text.ParsePosition parsePosition65 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction66 = properFractionFormat63.parse("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", parsePosition65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat10 = properFractionFormat9.getNumeratorFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat9.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    properFractionFormat13.setWholeFormat(numberFormat18);
    java.lang.Object obj24 = properFractionFormat13.clone();
    java.text.NumberFormat numberFormat25 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat13.getNumeratorFormat();
    fractionFormat12.setNumeratorFormat(numberFormat26);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3, numberFormat7, numberFormat26);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getNumeratorFormat();
    java.lang.String str49 = numberFormat47.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator50 = properFractionFormat38.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat51 = properFractionFormat38.getWholeFormat();
    properFractionFormat29.setWholeFormat(numberFormat51);
    java.text.NumberFormat numberFormat53 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat29.setWholeFormat(numberFormat53);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "10"+ "'", str49.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException2);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("", throwable6);
    // The following exception was thrown during execution in test generation
    try {
      mathException2.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction5 = properFractionFormat0.parse("hi!", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("10", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array9 = mathException6.getSuppressed();
    convergenceException2.addSuppressed((java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array11 = mathException6.getSuppressed();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException6);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat4);
    java.text.NumberFormat numberFormat10 = properFractionFormat0.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat21 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat20);
    properFractionFormat16.setNumeratorFormat(numberFormat18);
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12, numberFormat15, numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat25.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    java.text.NumberFormat numberFormat29 = fractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    fractionFormat28.setNumeratorFormat(numberFormat31);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat35.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat43 = new org.apache.commons.math.fraction.FractionFormat(numberFormat40, numberFormat42);
    properFractionFormat38.setNumeratorFormat(numberFormat40);
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat34, numberFormat37, numberFormat40);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat52 = new org.apache.commons.math.fraction.FractionFormat(numberFormat49, numberFormat51);
    properFractionFormat47.setNumeratorFormat(numberFormat49);
    properFractionFormat46.setWholeFormat(numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12, numberFormat31, numberFormat49);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    fractionFormat63.setDenominatorFormat(numberFormat65);
    org.apache.commons.math.fraction.FractionFormat fractionFormat67 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    java.text.NumberFormat numberFormat68 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat12, numberFormat65, numberFormat68);
    org.apache.commons.math.fraction.FractionFormat fractionFormat70 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    properFractionFormat0.setNumeratorFormat(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21, numberFormat23);
    properFractionFormat19.setNumeratorFormat(numberFormat21);
    org.apache.commons.math.fraction.FractionFormat fractionFormat26 = new org.apache.commons.math.fraction.FractionFormat(numberFormat21);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    fractionFormat26.setDenominatorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    properFractionFormat0.setWholeFormat(numberFormat28);
    java.text.NumberFormat numberFormat32 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    java.text.NumberFormat numberFormat48 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat49 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat48);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat38);
    org.apache.commons.math.fraction.Fraction fraction52 = properFractionFormat50.parse("10");
    java.lang.String str53 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction52);
    java.lang.String str54 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction52);
    java.lang.String str55 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction52);
    java.lang.StringBuffer stringBuffer56 = null;
    java.text.FieldPosition fieldPosition57 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer58 = fractionFormat33.format(fraction52, stringBuffer56, fieldPosition57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "10 / 1"+ "'", str53.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "10 / 1"+ "'", str54.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "10 / 1"+ "'", str55.equals("10 / 1"));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat17.setWholeFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat27.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat35 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat34);
    properFractionFormat30.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat38 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat29, numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat39.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    fractionFormat42.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat48 = properFractionFormat47.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat49.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat54 = properFractionFormat53.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat55 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat55.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54, numberFormat56);
    properFractionFormat52.setNumeratorFormat(numberFormat54);
    org.apache.commons.math.fraction.FractionFormat fractionFormat59 = new org.apache.commons.math.fraction.FractionFormat(numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat60 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat48, numberFormat51, numberFormat54);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    properFractionFormat60.setWholeFormat(numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat45, numberFormat63);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat73.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat75 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72, numberFormat74);
    properFractionFormat70.setNumeratorFormat(numberFormat72);
    org.apache.commons.math.fraction.FractionFormat fractionFormat77 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat79 = properFractionFormat78.getNumeratorFormat();
    fractionFormat77.setDenominatorFormat(numberFormat79);
    org.apache.commons.math.fraction.FractionFormat fractionFormat81 = new org.apache.commons.math.fraction.FractionFormat(numberFormat79);
    java.text.NumberFormat numberFormat82 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat26, numberFormat79, numberFormat82);
    java.text.NumberFormat numberFormat84 = properFractionFormat83.getWholeFormat();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator85 = properFractionFormat17.formatToCharacterIterator((java.lang.Object)numberFormat84);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat1.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat5 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2, numberFormat4);
    properFractionFormat0.setNumeratorFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat2);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat18, numberFormat21, numberFormat24);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36, numberFormat38);
    properFractionFormat34.setNumeratorFormat(numberFormat36);
    properFractionFormat31.setWholeFormat(numberFormat36);
    properFractionFormat30.setWholeFormat(numberFormat36);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45, numberFormat47);
    properFractionFormat43.setNumeratorFormat(numberFormat45);
    org.apache.commons.math.fraction.FractionFormat fractionFormat50 = new org.apache.commons.math.fraction.FractionFormat(numberFormat45);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    fractionFormat50.setDenominatorFormat(numberFormat52);
    properFractionFormat30.setWholeFormat(numberFormat52);
    org.apache.commons.math.fraction.FractionFormat fractionFormat55 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat57 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat58 = properFractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58, numberFormat60);
    properFractionFormat56.setNumeratorFormat(numberFormat58);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat58);
    java.text.NumberFormat numberFormat64 = fractionFormat63.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat65.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat67 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat68 = properFractionFormat67.getNumeratorFormat();
    java.text.NumberFormat numberFormat69 = properFractionFormat67.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat70 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat73 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat74 = properFractionFormat73.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat75 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72, numberFormat74);
    properFractionFormat70.setNumeratorFormat(numberFormat72);
    org.apache.commons.math.fraction.FractionFormat fractionFormat77 = new org.apache.commons.math.fraction.FractionFormat(numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat78 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat66, numberFormat69, numberFormat72);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat79 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat52, numberFormat64, numberFormat66);
    java.text.NumberFormat numberFormat80 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat52, numberFormat80);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat82 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat83 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat84 = properFractionFormat83.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat85 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat86 = properFractionFormat85.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat87 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84, numberFormat86);
    properFractionFormat82.setNumeratorFormat(numberFormat84);
    org.apache.commons.math.fraction.FractionFormat fractionFormat89 = new org.apache.commons.math.fraction.FractionFormat(numberFormat84);
    java.text.NumberFormat numberFormat90 = fractionFormat89.getDenominatorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat91 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat90);
    fractionFormat8.setDenominatorFormat(numberFormat90);
    java.text.ParsePosition parsePosition94 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction95 = fractionFormat8.parse("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", parsePosition94);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat90);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    java.text.NumberFormat numberFormat14 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat14);
    java.text.NumberFormat numberFormat16 = fractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    java.text.NumberFormat numberFormat23 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat24 = fractionFormat22.getDenominatorFormat();
    java.text.NumberFormat numberFormat25 = fractionFormat22.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = fractionFormat22.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat29.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat32 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat35.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34, numberFormat36);
    properFractionFormat32.setNumeratorFormat(numberFormat34);
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat34);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat28, numberFormat31, numberFormat34);
    java.text.NumberFormat numberFormat41 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat42 = new org.apache.commons.math.fraction.FractionFormat(numberFormat31, numberFormat41);
    java.text.NumberFormat numberFormat43 = fractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat43);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat46 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat47 = properFractionFormat46.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53, numberFormat55);
    properFractionFormat51.setNumeratorFormat(numberFormat53);
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat53);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47, numberFormat50, numberFormat53);
    java.text.NumberFormat numberFormat60 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat61 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat60);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat50);
    properFractionFormat44.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat16, numberFormat26, numberFormat50);
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    java.text.NumberFormat numberFormat66 = properFractionFormat64.getNumeratorFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat66);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    java.text.NumberFormat numberFormat17 = properFractionFormat15.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat23 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20, numberFormat22);
    properFractionFormat18.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat14, numberFormat17, numberFormat20);
    java.text.NumberFormat numberFormat27 = null;
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat17, numberFormat27);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat17);
    org.apache.commons.math.fraction.Fraction fraction31 = properFractionFormat29.parse("10");
    java.lang.String str32 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.String str33 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.String str34 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.String str35 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction31);
    java.lang.StringBuffer stringBuffer36 = null;
    java.text.FieldPosition fieldPosition37 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer38 = properFractionFormat12.format(fraction31, stringBuffer36, fieldPosition37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "10 / 1"+ "'", str32.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "10 / 1"+ "'", str33.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "10 / 1"+ "'", str34.equals("10 / 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "10 / 1"+ "'", str35.equals("10 / 1"));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat1 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat6 = new org.apache.commons.math.fraction.FractionFormat(numberFormat3, numberFormat5);
    properFractionFormat1.setNumeratorFormat(numberFormat3);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat3);
    org.apache.commons.math.fraction.FractionFormat fractionFormat9 = new org.apache.commons.math.fraction.FractionFormat(numberFormat0, numberFormat3);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException13);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException18);
    convergenceException14.addSuppressed((java.lang.Throwable)convergenceException18);
    java.lang.Throwable[] throwable_array21 = convergenceException18.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    java.lang.StringBuffer stringBuffer23 = null;
    java.text.FieldPosition fieldPosition24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer25 = fractionFormat9.format((java.lang.Object)convergenceException18, stringBuffer23, fieldPosition24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat13.getNumeratorFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat13.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator17 = numberFormat15.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat15);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat19.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat25.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat24, numberFormat26);
    properFractionFormat22.setNumeratorFormat(numberFormat24);
    properFractionFormat19.setWholeFormat(numberFormat24);
    java.lang.Object obj30 = properFractionFormat19.clone();
    java.text.NumberFormat numberFormat31 = properFractionFormat19.getNumeratorFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat19.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat33 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat34 = properFractionFormat33.getNumeratorFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat33.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat36 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat32, numberFormat35);
    properFractionFormat0.setDenominatorFormat(numberFormat35);
    java.text.NumberFormat numberFormat39 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat42 = properFractionFormat41.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat43 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat44 = properFractionFormat43.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat45 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42, numberFormat44);
    properFractionFormat40.setNumeratorFormat(numberFormat42);
    org.apache.commons.math.fraction.FractionFormat fractionFormat47 = new org.apache.commons.math.fraction.FractionFormat(numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat42);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat52 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat53 = properFractionFormat52.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat54 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51, numberFormat53);
    properFractionFormat49.setNumeratorFormat(numberFormat51);
    org.apache.commons.math.fraction.FractionFormat fractionFormat56 = new org.apache.commons.math.fraction.FractionFormat(numberFormat51);
    java.text.NumberFormat numberFormat57 = fractionFormat56.getNumeratorFormat();
    java.lang.String str59 = numberFormat57.format((java.lang.Object)10L);
    java.text.AttributedCharacterIterator attributedCharacterIterator60 = properFractionFormat48.formatToCharacterIterator((java.lang.Object)10L);
    java.text.NumberFormat numberFormat61 = properFractionFormat48.getWholeFormat();
    org.apache.commons.math.fraction.Fraction fraction63 = properFractionFormat48.parse("10");
    java.lang.String str64 = org.apache.commons.math.fraction.FractionFormat.formatFraction(fraction63);
    java.lang.StringBuffer stringBuffer65 = null;
    java.text.FieldPosition fieldPosition66 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer67 = properFractionFormat0.format(fraction63, stringBuffer65, fieldPosition66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "10"+ "'", str59.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "10 / 1"+ "'", str64.equals("10 / 1"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    java.lang.Object obj46 = properFractionFormat44.clone();
    java.text.ParsePosition parsePosition48 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction49 = properFractionFormat44.parse("org.apache.commons.math.MathException: ", parsePosition48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj46);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    java.text.ParsePosition parsePosition40 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj41 = fractionFormat38.parseObject("org.apache.commons.math.MathException: hi!", parsePosition40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat14.setWholeFormat(numberFormat19);
    properFractionFormat13.setWholeFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat27.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat29 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat30 = properFractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat31 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28, numberFormat30);
    properFractionFormat26.setNumeratorFormat(numberFormat28);
    org.apache.commons.math.fraction.FractionFormat fractionFormat33 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    fractionFormat33.setDenominatorFormat(numberFormat35);
    properFractionFormat13.setWholeFormat(numberFormat35);
    org.apache.commons.math.fraction.FractionFormat fractionFormat38 = new org.apache.commons.math.fraction.FractionFormat(numberFormat35);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    java.text.NumberFormat numberFormat47 = fractionFormat46.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat49 = properFractionFormat48.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat50 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat51 = properFractionFormat50.getNumeratorFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat50.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat53 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat57 = properFractionFormat56.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat58 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55, numberFormat57);
    properFractionFormat53.setNumeratorFormat(numberFormat55);
    org.apache.commons.math.fraction.FractionFormat fractionFormat60 = new org.apache.commons.math.fraction.FractionFormat(numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat49, numberFormat52, numberFormat55);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat47, numberFormat49);
    org.apache.commons.math.fraction.FractionFormat fractionFormat63 = new org.apache.commons.math.fraction.FractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat65 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat57);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat3.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat6 = properFractionFormat5.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat7 = new org.apache.commons.math.fraction.FractionFormat(numberFormat4, numberFormat6);
    properFractionFormat2.setNumeratorFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat9 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat10 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat11 = properFractionFormat10.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat14 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11, numberFormat13);
    properFractionFormat9.setNumeratorFormat(numberFormat11);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat11);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat18 = properFractionFormat17.getNumeratorFormat();
    fractionFormat16.setDenominatorFormat(numberFormat18);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat21 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat22 = properFractionFormat21.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat23 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat24 = properFractionFormat23.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat25 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22, numberFormat24);
    properFractionFormat20.setNumeratorFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat27 = new org.apache.commons.math.fraction.FractionFormat(numberFormat22);
    org.apache.commons.math.fraction.FractionFormat fractionFormat28 = new org.apache.commons.math.fraction.FractionFormat(numberFormat18, numberFormat22);
    properFractionFormat2.setWholeFormat(numberFormat22);
    properFractionFormat0.setWholeFormat(numberFormat22);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    java.text.NumberFormat numberFormat33 = properFractionFormat31.getWholeFormat();
    java.text.AttributedCharacterIterator attributedCharacterIterator35 = numberFormat33.formatToCharacterIterator((java.lang.Object)100L);
    properFractionFormat0.setDenominatorFormat(numberFormat33);
    java.text.NumberFormat numberFormat37 = properFractionFormat0.getWholeFormat();
    java.text.ParsePosition parsePosition39 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction40 = properFractionFormat0.parse("org.apache.commons.math.MathException", parsePosition39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(attributedCharacterIterator35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat11 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat12 = properFractionFormat11.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat11.getWholeFormat();
    properFractionFormat0.setNumeratorFormat(numberFormat13);
    java.text.NumberFormat numberFormat15 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat16 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat15);
    java.text.ParsePosition parsePosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj19 = properFractionFormat16.parseObject("org.apache.commons.math.ConvergenceException: ", parsePosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException3);
    java.lang.Throwable[] throwable_array5 = convergenceException3.getSuppressed();
    java.lang.Throwable[] throwable_array6 = convergenceException3.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    java.lang.String str8 = mathException7.toString();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    java.lang.String str10 = mathException9.toString();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str8.equals("org.apache.commons.math.MathException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str10.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.text.NumberFormat numberFormat11 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat12 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat12.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.FractionFormat fractionFormat24 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat16, numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    java.text.NumberFormat numberFormat28 = properFractionFormat26.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat29 = new org.apache.commons.math.fraction.FractionFormat(numberFormat28);
    java.text.NumberFormat numberFormat30 = fractionFormat29.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat31 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat32 = properFractionFormat31.getNumeratorFormat();
    fractionFormat29.setNumeratorFormat(numberFormat32);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat37 = properFractionFormat36.getNumeratorFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat36.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat40 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat41 = properFractionFormat40.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat44 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41, numberFormat43);
    properFractionFormat39.setNumeratorFormat(numberFormat41);
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat47 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat35, numberFormat38, numberFormat41);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat48 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat51 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat52 = properFractionFormat51.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat53 = new org.apache.commons.math.fraction.FractionFormat(numberFormat50, numberFormat52);
    properFractionFormat48.setNumeratorFormat(numberFormat50);
    properFractionFormat47.setWholeFormat(numberFormat50);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat56 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat13, numberFormat32, numberFormat50);
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat13);
    java.text.NumberFormat numberFormat58 = fractionFormat57.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat59 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat59.getNumeratorFormat();
    java.text.NumberFormat numberFormat61 = properFractionFormat59.getWholeFormat();
    java.text.NumberFormat numberFormat62 = properFractionFormat59.getDenominatorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat63 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat64 = properFractionFormat63.getNumeratorFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat63.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat65);
    java.text.NumberFormat numberFormat67 = fractionFormat66.getNumeratorFormat();
    java.lang.Object obj68 = fractionFormat66.clone();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat69 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat70 = properFractionFormat69.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat71 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat72 = properFractionFormat71.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat70, numberFormat72);
    java.text.NumberFormat numberFormat74 = fractionFormat73.getDenominatorFormat();
    java.text.NumberFormat numberFormat75 = fractionFormat73.getDenominatorFormat();
    java.lang.Object obj76 = fractionFormat73.clone();
    java.text.NumberFormat numberFormat77 = fractionFormat73.getNumeratorFormat();
    fractionFormat66.setNumeratorFormat(numberFormat77);
    properFractionFormat59.setWholeFormat(numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat80 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat11, numberFormat58, numberFormat77);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat81 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat58);
    java.text.NumberFormat numberFormat82 = properFractionFormat81.getWholeFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat82);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!");

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat15 = properFractionFormat14.getNumeratorFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat14.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat17 = new org.apache.commons.math.fraction.FractionFormat(numberFormat16);
    java.text.NumberFormat numberFormat18 = fractionFormat17.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat19 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat20 = properFractionFormat19.getNumeratorFormat();
    fractionFormat17.setNumeratorFormat(numberFormat20);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat22 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat23 = properFractionFormat22.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat24 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat25 = properFractionFormat24.getNumeratorFormat();
    java.text.NumberFormat numberFormat26 = properFractionFormat24.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat27 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat30 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat31 = properFractionFormat30.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29, numberFormat31);
    properFractionFormat27.setNumeratorFormat(numberFormat29);
    org.apache.commons.math.fraction.FractionFormat fractionFormat34 = new org.apache.commons.math.fraction.FractionFormat(numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat35 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat23, numberFormat26, numberFormat29);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat36 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat37 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat38 = properFractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat39 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat40 = properFractionFormat39.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat41 = new org.apache.commons.math.fraction.FractionFormat(numberFormat38, numberFormat40);
    properFractionFormat36.setNumeratorFormat(numberFormat38);
    properFractionFormat35.setWholeFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat20, numberFormat38);
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getWholeFormat();
    java.lang.Object obj46 = properFractionFormat44.clone();
    java.text.NumberFormat numberFormat47 = null;
    // The following exception was thrown during execution in test generation
    try {
      properFractionFormat44.setNumeratorFormat(numberFormat47);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj46);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat2 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat3 = properFractionFormat2.getNumeratorFormat();
    java.text.NumberFormat numberFormat4 = properFractionFormat2.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat5 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat8 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat9 = properFractionFormat8.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat10 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7, numberFormat9);
    properFractionFormat5.setNumeratorFormat(numberFormat7);
    org.apache.commons.math.fraction.FractionFormat fractionFormat12 = new org.apache.commons.math.fraction.FractionFormat(numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat13 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat1, numberFormat4, numberFormat7);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat14 = new org.apache.commons.math.fraction.ProperFractionFormat(numberFormat4);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat15 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat16 = properFractionFormat15.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat17 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat18 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat19 = properFractionFormat18.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat20 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat21 = properFractionFormat20.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat22 = new org.apache.commons.math.fraction.FractionFormat(numberFormat19, numberFormat21);
    properFractionFormat17.setNumeratorFormat(numberFormat19);
    properFractionFormat15.setNumeratorFormat(numberFormat19);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat25 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat26 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat27 = properFractionFormat26.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat28 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat29 = properFractionFormat28.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat30 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27, numberFormat29);
    properFractionFormat25.setNumeratorFormat(numberFormat27);
    org.apache.commons.math.fraction.FractionFormat fractionFormat32 = new org.apache.commons.math.fraction.FractionFormat(numberFormat27);
    java.text.NumberFormat numberFormat33 = fractionFormat32.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat34 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat35 = properFractionFormat34.getNumeratorFormat();
    java.text.NumberFormat numberFormat36 = properFractionFormat34.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat37 = new org.apache.commons.math.fraction.FractionFormat(numberFormat36);
    java.text.NumberFormat numberFormat38 = fractionFormat37.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat39 = new org.apache.commons.math.fraction.FractionFormat(numberFormat33, numberFormat38);
    properFractionFormat15.setNumeratorFormat(numberFormat38);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat41 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat42 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat43 = properFractionFormat42.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat44 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat45 = properFractionFormat44.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat46 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43, numberFormat45);
    properFractionFormat41.setNumeratorFormat(numberFormat43);
    org.apache.commons.math.fraction.FractionFormat fractionFormat48 = new org.apache.commons.math.fraction.FractionFormat(numberFormat43);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat49 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat50 = properFractionFormat49.getNumeratorFormat();
    fractionFormat48.setDenominatorFormat(numberFormat50);
    java.text.NumberFormat numberFormat52 = fractionFormat48.getNumeratorFormat();
    properFractionFormat15.setWholeFormat(numberFormat52);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat54 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat55 = properFractionFormat54.getNumeratorFormat();
    java.text.NumberFormat numberFormat56 = properFractionFormat54.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat57 = new org.apache.commons.math.fraction.FractionFormat(numberFormat56);
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat58 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat59 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat60 = properFractionFormat58.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat61 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat62 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat63 = properFractionFormat62.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat64 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat65 = properFractionFormat64.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat66 = new org.apache.commons.math.fraction.FractionFormat(numberFormat63, numberFormat65);
    properFractionFormat61.setNumeratorFormat(numberFormat63);
    properFractionFormat58.setWholeFormat(numberFormat63);
    java.lang.Object obj69 = properFractionFormat58.clone();
    java.text.NumberFormat numberFormat70 = properFractionFormat58.getNumeratorFormat();
    java.text.NumberFormat numberFormat71 = properFractionFormat58.getNumeratorFormat();
    fractionFormat57.setNumeratorFormat(numberFormat71);
    org.apache.commons.math.fraction.FractionFormat fractionFormat73 = new org.apache.commons.math.fraction.FractionFormat(numberFormat71);
    org.apache.commons.math.fraction.FractionFormat fractionFormat74 = new org.apache.commons.math.fraction.FractionFormat(numberFormat52, numberFormat71);
    properFractionFormat14.setWholeFormat(numberFormat71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat71);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat0 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat1 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat2 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat3 = new org.apache.commons.math.fraction.ProperFractionFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat4 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat5 = properFractionFormat4.getNumeratorFormat();
    org.apache.commons.math.fraction.ProperFractionFormat properFractionFormat6 = new org.apache.commons.math.fraction.ProperFractionFormat();
    java.text.NumberFormat numberFormat7 = properFractionFormat6.getNumeratorFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat8 = new org.apache.commons.math.fraction.FractionFormat(numberFormat5, numberFormat7);
    properFractionFormat3.setNumeratorFormat(numberFormat5);
    properFractionFormat0.setWholeFormat(numberFormat5);
    java.lang.Object obj11 = properFractionFormat0.clone();
    java.text.NumberFormat numberFormat12 = properFractionFormat0.getNumeratorFormat();
    java.text.NumberFormat numberFormat13 = properFractionFormat0.getDenominatorFormat();
    java.text.NumberFormat numberFormat14 = properFractionFormat0.getWholeFormat();
    org.apache.commons.math.fraction.FractionFormat fractionFormat15 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    org.apache.commons.math.fraction.FractionFormat fractionFormat16 = new org.apache.commons.math.fraction.FractionFormat(numberFormat14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.Fraction fraction18 = fractionFormat16.parse("org.apache.commons.math.MathException: ");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);

  }

}
